import { __decorate, __assign, __spread, __param } from 'tslib';
import { EventEmitter, Input, Output, Component, NgModule, forwardRef, ChangeDetectorRef, HostBinding, ViewChild, ViewEncapsulation, Inject, CUSTOM_ELEMENTS_SCHEMA, HostListener, Directive } from '@angular/core';
import { CommonModule, Location } from '@angular/common';
import { MatButtonModule } from '@angular/material/button';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatRadioModule } from '@angular/material/radio';
import { trigger, state, style, transition, animate } from '@angular/animations';
import { NG_VALUE_ACCESSOR, NG_VALIDATORS, Validators, FormsModule, ReactiveFormsModule, FormControl } from '@angular/forms';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatInputModule } from '@angular/material/input';
import { MatTooltipModule } from '@angular/material/tooltip';
import { Subject } from 'rxjs';
import { takeUntil, startWith, map } from 'rxjs/operators';
import { MatSelectModule } from '@angular/material/select';
import { NgxMatSelectSearchModule } from 'ngx-mat-select-search';
import { MatSnackBarRef, MAT_SNACK_BAR_DATA } from '@angular/material/snack-bar';
import { MatIconModule } from '@angular/material/icon';
import { HttpClient } from '@angular/common/http';
import { MatDialogRef, MAT_DIALOG_DATA, MatDialog } from '@angular/material/dialog';
import { ImageCropperModule } from 'ngx-image-cropper';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { Router } from '@angular/router';
import { MatListModule } from '@angular/material/list';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatSidenavModule } from '@angular/material/sidenav';
import * as moment from 'moment';
import { ClickOutsideModule } from 'ng-click-outside';
import { MatAutocompleteModule } from '@angular/material/autocomplete';

var ButtonComponent = /** @class */ (function () {
    function ButtonComponent() {
        this.clicked = new EventEmitter();
    }
    ButtonComponent.prototype.ngOnInit = function () {
        this.theme = this.theme ? this.theme : "primary";
    };
    ButtonComponent.prototype.clickedButton = function (event) {
        // this.showProgress = true;
        this.btnWidth = event.currentTarget["offsetWidth"] - 80;
        this.clicked.emit(event);
    };
    __decorate([
        Input()
    ], ButtonComponent.prototype, "showProgress", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "isContained", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "theme", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "focused", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "large", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "isStroked", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "small", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "shouldBeDisabled", void 0);
    __decorate([
        Input()
    ], ButtonComponent.prototype, "showIcon", void 0);
    __decorate([
        Output()
    ], ButtonComponent.prototype, "clicked", void 0);
    ButtonComponent = __decorate([
        Component({
            selector: "nitrozen-button",
            template: "<div\r\n  [ngClass]=\"{\r\n    'primary-section': theme === 'primary',\r\n    'secondary-section': theme === 'accent'\r\n  }\"\r\n>\r\n  <button\r\n    mat-raised-button\r\n    class=\"btn-nitrozen\"\r\n    [ngClass]=\"{\r\n      'mat-stroked-button': isStroked,\r\n      'mat-flat-button': isContained,\r\n      'btn-focused': focused,\r\n      'hover-state': showProgress,\r\n      'btn-large': large,\r\n      'btn-small': small\r\n    }\"\r\n    [disabled]=\"shouldBeDisabled\"\r\n    (click)=\"clickedButton($event)\"\r\n  >\r\n    <div class=\"btn-icon-show\">\r\n      <div\r\n        class=\"btn-txt\"\r\n        [ngClass]=\"{\r\n          'btn-show-icn': showIcon,\r\n          'btn-stroke-color': isStroked,\r\n          'btn-contained-color': isContained,\r\n          'btn-progress': !showProgress,\r\n          'btn-notprogress': showProgress,\r\n          'btn-txt-small': small\r\n        }\"\r\n      >\r\n        <ng-content></ng-content>\r\n      </div>\r\n\r\n      <div\r\n        class=\"btn-spin\"\r\n        [ngClass]=\"{\r\n          'btn-spin-stroke': isStroked,\r\n          'btn-spin-contained': isContained,\r\n          'btn-progress': !showProgress,\r\n          'btn-notprogress': showProgress\r\n        }\"\r\n        *ngIf=\"showIcon\"\r\n      >\r\n        <img src=\"./../../assets/icons/Bag_Icon.svg\" />\r\n      </div>\r\n      <div\r\n        class=\"btn-spin\"\r\n        [ngStyle]=\"{ 'width.px': btnWidth }\"\r\n        [ngClass]=\"{\r\n          'btn-spin-stroke': isStroked,\r\n          'btn-spin-contained': isContained,\r\n          'btn-notprogress': !showProgress,\r\n          'btn-progress': showProgress\r\n        }\"\r\n      >\r\n        <img\r\n          *ngIf=\"isContained\"\r\n          class=\"btn-spinner\"\r\n          style=\"width: 50px\"\r\n          src=\"../../../assets/icons/loader-white-1.gif\"\r\n        />\r\n        <img\r\n          *ngIf=\"isStroked && theme === 'primary'\"\r\n          class=\"btn-spinner\"\r\n          style=\"width: 50px\"\r\n          src=\"../../../assets/icons/loader-green.gif\"\r\n        />\r\n        <img\r\n          *ngIf=\"isStroked && theme === 'accent'\"\r\n          class=\"btn-spinner\"\r\n          style=\"width: 50px\"\r\n          src=\"../../../assets/icons/loader-blue.gif\"\r\n        />\r\n        <!-- <mat-progress-spinner\r\n  class=\"btn-spinner\"\r\n  [ngClass]=\"{'c-button__spinner--active': showProgress && !shouldBeDisabled}\"\r\n  diameter=\"21\"\r\n  mode=\"indeterminate\"\r\n></mat-progress-spinner> -->\r\n      </div>\r\n    </div>\r\n  </button>\r\n</div>\r\n",
            styles: [".btn-nitrozen{height:48px;border-radius:3px;cursor:pointer;padding:0 40px;box-shadow:none}.hover-state{pointer-events:none}.btn-large{height:48px!important;padding:0 40px!important}.btn-small{height:40px!important;padding:0 20px!important}.btn-notprogress{opacity:0;transition:opacity .25s ease-out;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.fx-wt{width:66.38px}.primary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#36cc9b;text-underline-position:under}.primary-section .mat-flat-button{background-color:#36cc9b}.primary-section .mat-flat-button:hover:not([disabled]){background-color:#2eb589}.primary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button{border:1px solid #36cc9b}.primary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(54,204,155,.12)}.primary-section .mat-stroked-button:focus{text-decoration:underline;color:#45cc9b;text-underline-position:under}.primary-section .btn-spin-stroke .mat-spinner circle,.primary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#fff}.primary-section .btn-spin-contained .mat-spinner circle,.primary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.primary-section .mat-flat-button:disabled,.primary-section .mat-flat-button[disabled=disabled]{background-color:rgba(54,204,155,.4)!important}.primary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.primary-section .btn-txt-small{font-family:Poppins;font-size:14px;font-weight:600;line-height:25px;text-align:center}.primary-section .btn-stroke-color{color:#36cc9b}.primary-section .btn-contained-color{color:#fff}.primary-section .btn-spinner{text-align:center}.primary-section .btn-spin{display:flex;justify-content:center}.primary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#36cc9b}.primary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.primary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .btn-show-icn{padding-left:10px}.primary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}.secondary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .mat-flat-button{background-color:#5c6bdd}.secondary-section .mat-flat-button:hover:not([disabled]){background-color:#4f5ecc}.secondary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button{border:1px solid #5c6bdd}.secondary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(79,94,204,.12)}.secondary-section .mat-stroked-button:focus{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .btn-spin-stroke .mat-spinner circle,.secondary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#5c6bdd}.secondary-section .btn-spin-contained .mat-spinner circle,.secondary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.secondary-section .mat-flat-button:disabled,.secondary-section .mat-flat-button[disabled=disabled]{background-color:rgba(92,107,221,.4)!important}.secondary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.secondary-section .btn-stroke-color{color:#5c6bdd}.secondary-section .btn-contained-color{color:#fff}.secondary-section .btn-spinner{text-align:center}.secondary-section .btn-spin{display:flex;justify-content:center}.secondary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#5c6bdd}.secondary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.secondary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .btn-show-icn{padding-left:10px}.secondary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}"]
        })
    ], ButtonComponent);
    return ButtonComponent;
}());

var ButtonModule = /** @class */ (function () {
    function ButtonModule() {
    }
    ButtonModule = __decorate([
        NgModule({
            declarations: [ButtonComponent],
            imports: [CommonModule, MatButtonModule, MatProgressSpinnerModule],
            exports: [ButtonComponent, MatButtonModule, MatProgressSpinnerModule],
        })
    ], ButtonModule);
    return ButtonModule;
}());

var ButtonTextComponent = /** @class */ (function () {
    function ButtonTextComponent() {
        this.clicked = new EventEmitter();
    }
    ButtonTextComponent.prototype.ngOnInit = function () {
        // this.type = this.type ? this.type : '';
    };
    ButtonTextComponent.prototype.clickedButton = function (event) {
        this.clicked.emit(event);
    };
    __decorate([
        Input()
    ], ButtonTextComponent.prototype, "shouldBeDisabled", void 0);
    __decorate([
        Input()
    ], ButtonTextComponent.prototype, "theme", void 0);
    __decorate([
        Input()
    ], ButtonTextComponent.prototype, "focused", void 0);
    __decorate([
        Input()
    ], ButtonTextComponent.prototype, "prefixIcon", void 0);
    __decorate([
        Input()
    ], ButtonTextComponent.prototype, "postfixIcon", void 0);
    __decorate([
        Input()
    ], ButtonTextComponent.prototype, "type", void 0);
    __decorate([
        Output()
    ], ButtonTextComponent.prototype, "clicked", void 0);
    ButtonTextComponent = __decorate([
        Component({
            selector: 'nitrozen-button-text',
            template: "<div [ngClass]=\"{\r\n    'primary-section': theme === 'primary' ,\r\n    'secondary-section': theme === 'accent',\r\n    'warn-section':theme === 'warn'\r\n  }\">\r\n  <div>\r\n<button [ngClass]=\"{'btn-focused':focused,'btn-warn-thm':theme === 'warn','btn-prim-thm':theme === 'primary'}\" mat-button  (click)=\"clickedButton($event)\"  [disabled]=\"shouldBeDisabled\">\r\n\t<div>\r\n\t\t<span class=\"btn-spin\" *ngIf=\"prefixIcon\">\r\n  <img src=\"./../../assets/icons/arrow-icon.svg\">\r\n</span>\r\n\t<span class=\"btn-txt\" [ngClass]=\"{\r\n    'primary-section': theme === 'primary' ,\r\n    'secondary-section': theme === 'accent',\r\n    'warn-section':theme === 'warn'\r\n  }\">\r\n    <ng-content></ng-content>\r\n  </span>\r\n    <span class=\"btn-spin-post\" *ngIf=\"postfixIcon\">\r\n  <img src=\"./../../assets/icons/arrow-icon.svg\">\r\n</span>\r\n   \r\n</div>\r\n</button>\r\n</div>\r\n</div>\r\n",
            styles: [".btn-txt{color:#4f5ecc;font-family:Poppins;font-size:16px;font-weight:700;text-align:center}button:disabled,button[disabled=disabled]{color:rgba(92,107,221,.5)!important;opacity:.5}.btn-text,.primary-section{color:#36cc9b!important}.btn-prim-thm:focus{text-decoration:underline;color:#36cc9b!important;text-underline-position:under}.warn-section .btn-txt{color:#fb406b!important;font-weight:700}.btn-warn-thm:focus{text-decoration:underline;color:#fb406b!important;text-underline-position:under}.mat-button{height:48px}.mat-button:hover{background-color:transparent!important}.btn-focused,.mat-button:focus{text-decoration:underline;color:#4f5ecc;text-underline-position:under}.btn-spin{padding-right:8px}.btn-spin-post{padding-left:8px}.hover-state{pointer-events:none}img{width:14px;height:12px}"]
        })
    ], ButtonTextComponent);
    return ButtonTextComponent;
}());

var ButtonTextModule = /** @class */ (function () {
    function ButtonTextModule() {
    }
    ButtonTextModule = __decorate([
        NgModule({
            declarations: [ButtonTextComponent],
            imports: [CommonModule, MatButtonModule, MatProgressSpinnerModule],
            exports: [ButtonTextComponent, MatButtonModule, MatProgressSpinnerModule],
        })
    ], ButtonTextModule);
    return ButtonTextModule;
}());

var CheckboxComponent = /** @class */ (function () {
    function CheckboxComponent() {
        /**
         * Define if the checkbox is disabled
         */
        this.disabled = false;
        /**
         * Define if the checkbox should be indeterminate
         */
        this.indeterminate = false;
        this.change = new EventEmitter();
    }
    CheckboxComponent.prototype.ngOnInit = function () {
    };
    CheckboxComponent.prototype.onCheckboxStateChanged = function (e) {
        console.log(e);
        this.change.emit(e);
    };
    __decorate([
        Input()
    ], CheckboxComponent.prototype, "checked", void 0);
    __decorate([
        Input()
    ], CheckboxComponent.prototype, "disabled", void 0);
    __decorate([
        Input()
    ], CheckboxComponent.prototype, "indeterminate", void 0);
    __decorate([
        Output()
    ], CheckboxComponent.prototype, "change", void 0);
    CheckboxComponent = __decorate([
        Component({
            selector: 'nitrozen-checkbox',
            template: "<mat-checkbox \r\nclass=\"nitro-checkbox\" \r\n[checked]=\"checked\" \r\n[indeterminate]=\"indeterminate\"\r\n[disabled]=\"disabled\"\r\n(change)=\"onCheckboxStateChanged($event)\">\r\n\r\n\r\n<ng-content></ng-content>\r\n\r\n</mat-checkbox>",
            styles: [""]
        })
    ], CheckboxComponent);
    return CheckboxComponent;
}());

var CheckboxModule = /** @class */ (function () {
    function CheckboxModule() {
    }
    CheckboxModule = __decorate([
        NgModule({
            declarations: [CheckboxComponent],
            imports: [CommonModule, MatCheckboxModule],
            exports: [CheckboxComponent, MatCheckboxModule],
        })
    ], CheckboxModule);
    return CheckboxModule;
}());

var RadioButtonComponent = /** @class */ (function () {
    function RadioButtonComponent() {
        /**
         * Define if the checkbox is disabled
         */
        this.disabled = false;
        this.change = new EventEmitter();
    }
    RadioButtonComponent.prototype.ngOnInit = function () {
    };
    RadioButtonComponent.prototype.onRadioButtonStateChanged = function (e) {
        console.log(e);
        this.change.emit(e);
    };
    __decorate([
        Input()
    ], RadioButtonComponent.prototype, "selected", void 0);
    __decorate([
        Input()
    ], RadioButtonComponent.prototype, "disabled", void 0);
    __decorate([
        Output()
    ], RadioButtonComponent.prototype, "change", void 0);
    RadioButtonComponent = __decorate([
        Component({
            selector: 'nitrozen-radio-button',
            template: " <mat-radio-button color=\"primary\"\r\n[disabled]=\"disabled\"\r\n(change)=\"onRadioButtonStateChanged($event)\">\r\n\r\n\r\n<ng-content></ng-content>\r\n</mat-radio-button>  \r\n",
            styles: ["::ng-deep .mat-radio-label-content{padding-left:12px!important;font-family:Poppins!important}"]
        })
    ], RadioButtonComponent);
    return RadioButtonComponent;
}());

var RadioButtonModule = /** @class */ (function () {
    function RadioButtonModule() {
    }
    RadioButtonModule = __decorate([
        NgModule({
            declarations: [RadioButtonComponent],
            imports: [CommonModule, MatRadioModule],
            exports: [RadioButtonComponent, MatRadioModule],
        })
    ], RadioButtonModule);
    return RadioButtonModule;
}());

var InputTypes;
(function (InputTypes) {
    InputTypes["text"] = "text";
    InputTypes["number"] = "number";
    InputTypes["password"] = "password";
    InputTypes["textarea"] = "textarea";
})(InputTypes || (InputTypes = {}));

var nextId = 0;
var INPUT_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(function () { return InputComponent; }),
    multi: true
};
var INPUT_VALIDATORS = {
    provide: NG_VALIDATORS,
    useExisting: forwardRef(function () { return InputComponent; }),
    multi: true
};
var InputComponent = /** @class */ (function () {
    function InputComponent(cd) {
        this.cd = cd;
        this.label = '';
        this.type = InputTypes.text;
        this.blocked = false;
        this.placeholder = '';
        this.disabled = false;
        this.search = false;
        this.showSuccess = false;
        this.noneditable = false;
        this.required = false;
        this.requiredIndicator = '*';
        this.tooltip = false;
        this.passwordToggleEnabled = false;
        this.passwordTextVisible = false;
        this.autoSelect = false;
        this.autofocus = false;
        this.autocomplete = false;
        this.autocorrect = false;
        this.spellcheck = false;
        this.change = new EventEmitter();
        this.blur = new EventEmitter();
        this.focus = new EventEmitter();
        this.keyup = new EventEmitter();
        this.click = new EventEmitter();
        this.getHostCssClasses = 'ngx-input';
        this.focused = false;
        this.onTouchedCallback = function () {
            // placeholder
        };
        this.onChangeCallback = function () {
            // placeholder
        };
    }
    Object.defineProperty(InputComponent.prototype, "value", {
        get: function () {
            return this._value;
        },
        set: function (val) {
            if (val !== this._value) {
                this._value = val;
                this.onChangeCallback(this._value);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputComponent.prototype, "focusedOrDirty", {
        get: function () {
            if (this.focused) {
                return true;
            }
            if (typeof this.value === 'string') {
                return this.value && this.value.length;
            }
            return typeof this.value !== 'undefined' && this.value !== null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputComponent.prototype, "isTouched", {
        get: function () {
            return this.inputModel ? this.inputModel.touched : false;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputComponent.prototype, "labelState", {
        get: function () {
            if (this.placeholder)
                return 'outside';
            if (this.focusedOrDirty)
                return 'outside';
            return 'inside';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputComponent.prototype, "underlineState", {
        get: function () {
            if (this.focused)
                return 'expanded';
            return 'collapsed';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputComponent.prototype, "requiredIndicatorView", {
        get: function () {
            if (!this.requiredIndicator || !this.required)
                return '';
            return this.requiredIndicator;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InputComponent.prototype, "element", {
        get: function () {
            if (this.type === InputTypes.textarea)
                return this.textareaControl;
            return this.inputControl;
        },
        enumerable: true,
        configurable: true
    });
    InputComponent.prototype.validate = function (c) {
        if (this.type !== 'number') {
            return null;
        }
        return __assign(__assign({}, Validators.max(this.max)(c)), Validators.min(this.min)(c));
    };
    InputComponent.prototype.ngOnInit = function () {
        if (!this.value)
            this.value = '';
    };
    InputComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        if (this.autofocus) {
            setTimeout(function () {
                _this.element.nativeElement.focus();
            });
        }
        // sometimes the label doesn't update on load
        setTimeout(function () { return _this.cd.markForCheck(); });
    };
    InputComponent.prototype.ngOnChanges = function (changes) {
        if ('max' in changes || 'min' in changes) {
            this.onChangeCallback(this._value);
        }
    };
    InputComponent.prototype.onChange = function (event) {
        event.stopPropagation();
        this.change.emit(this.value);
    };
    InputComponent.prototype.onKeyUp = function (event) {
        event.stopPropagation();
        this.keyup.emit(event);
    };
    InputComponent.prototype.onFocus = function (event) {
        var _this = this;
        event.stopPropagation();
        if (this.autoSelect) {
            setTimeout(function () {
                _this.element.nativeElement.select();
            });
        }
        this.focused = true;
        this.focus.emit(event);
        this.onTouchedCallback();
    };
    InputComponent.prototype.onBlur = function (event) {
        event.stopPropagation();
        this.focused = false;
        this.blur.emit(event);
    };
    InputComponent.prototype.writeValue = function (val) {
        if (val !== this._value) {
            this._value = val;
        }
    };
    InputComponent.prototype.registerOnChange = function (fn) {
        this.onChangeCallback = fn;
    };
    InputComponent.prototype.registerOnTouched = function (fn) {
        this.onTouchedCallback = fn;
    };
    InputComponent.prototype.togglePassword = function () {
        var _this = this;
        this.passwordTextVisible = !this.passwordTextVisible;
        setTimeout(function () {
            if (_this.passwordTextVisible) {
                _this.passwordControl.nativeElement.focus();
            }
            else {
                _this.element.nativeElement.focus();
            }
        });
    };
    InputComponent.prototype.setDisabledState = function (isDisabled) {
        this.disabled = isDisabled;
    };
    InputComponent.ctorParameters = function () { return [
        { type: ChangeDetectorRef }
    ]; };
    __decorate([
        Input()
    ], InputComponent.prototype, "id", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "name", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "label", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "type", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "hint", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "error", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "blocked", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "success", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "placeholder", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "disabled", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "tabindex", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "search", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "showSuccess", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "righttext", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "toolmsg", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "pattern", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "noneditable", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "min", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "max", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "minlength", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "maxlength", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "required", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "requiredIndicator", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "tooltip", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "passwordToggleEnabled", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "passwordTextVisible", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "autoSelect", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "autofocus", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "autocomplete", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "autocorrect", void 0);
    __decorate([
        Input()
    ], InputComponent.prototype, "spellcheck", void 0);
    __decorate([
        Output()
    ], InputComponent.prototype, "change", void 0);
    __decorate([
        Output()
    ], InputComponent.prototype, "blur", void 0);
    __decorate([
        Output()
    ], InputComponent.prototype, "focus", void 0);
    __decorate([
        Output()
    ], InputComponent.prototype, "keyup", void 0);
    __decorate([
        Output()
    ], InputComponent.prototype, "click", void 0);
    __decorate([
        HostBinding('class')
    ], InputComponent.prototype, "getHostCssClasses", void 0);
    __decorate([
        HostBinding('class.ng-dirty')
    ], InputComponent.prototype, "focusedOrDirty", null);
    __decorate([
        HostBinding('class.ng-touched')
    ], InputComponent.prototype, "isTouched", null);
    __decorate([
        ViewChild('inputControl')
    ], InputComponent.prototype, "inputControl", void 0);
    __decorate([
        ViewChild('inputModel')
    ], InputComponent.prototype, "inputModel", void 0);
    __decorate([
        ViewChild('textareaControl')
    ], InputComponent.prototype, "textareaControl", void 0);
    __decorate([
        ViewChild('passwordControl')
    ], InputComponent.prototype, "passwordControl", void 0);
    InputComponent = __decorate([
        Component({
            selector: 'nitrozen-input',
            providers: [INPUT_VALUE_ACCESSOR, INPUT_VALIDATORS],
            encapsulation: ViewEncapsulation.None,
            animations: [
                trigger('labelState', [
                    state('inside', style({
                        'font-size': '1em',
                        top: '0'
                    })),
                    state('outside', style({
                        'font-size': '.7rem',
                        top: '-15px'
                    })),
                    transition('inside => outside', animate('150ms ease-out')),
                    transition('outside => inside', animate('150ms ease-out'))
                ]),
                trigger('underlineState', [
                    state('collapsed', style({
                        width: '0%'
                    })),
                    state('expanded', style({
                        width: '100%'
                    })),
                    transition('collapsed => expanded', animate('150ms ease-out')),
                    transition('expanded => collapsed', animate('150ms ease-out'))
                ])
            ],
            template: "<div class=\"nitro-input-wrap\" [ngClass]=\"{'input-noneditable':noneditable}\">\r\n      <div class=\"ngx-input-flex-wrap\">\r\n         \r\n        <div class=\"nitro-input-flex-wrap-inner\">\r\n          <div class=\"nitro-input-box-wrap\">\r\n            <div class=\"prefix-icon\">\r\n            <ng-content select=\"nitrozen-input-prefix\"></ng-content>\r\n          </div>\r\n            <textarea [ngClass]=\"{'search-txt': search }\"\r\n              *ngIf=\"type === 'textarea'\"\r\n              class=\"ngx-input-textarea\"\r\n              rows=\"1\"\r\n              autosize\r\n              [(ngModel)]=\"value\"\r\n              [id]=\"id\"\r\n              [name]=\"name\"\r\n              [pattern]=\"pattern\"\r\n              [placeholder]=\"placeholder\"\r\n              [disabled]=\"disabled\"\r\n              [attr.tabindex]=\"tabindex\"\r\n              [attr.autocomplete]=\"autocomplete\"\r\n              [attr.autocorrect]=\"autocorrect\"\r\n              [attr.spellcheck]=\"spellcheck\"\r\n              [minlength]=\"minlength\"\r\n              [maxlength]=\"maxlength\"\r\n              [required]=\"required\"\r\n              (change)=\"onChange($event)\"\r\n              (keyup)=\"onKeyUp($event)\"\r\n              (focus)=\"onFocus($event)\"\r\n              (blur)=\"onBlur($event)\"\r\n              (click)=\"click.emit($event)\"\r\n              #inputModel=\"ngModel\"\r\n              #textareaControl\r\n            >\r\n            </textarea>\r\n            <input [ngClass]=\"{'search-txt': search,'blocked':blocked }\"\r\n              *ngIf=\"type !== 'textarea'\"\r\n              class=\"ngx-input-box\"\r\n              [(ngModel)]=\"value\"\r\n              [hidden]=\"passwordTextVisible\"\r\n              [id]=\"id\"\r\n              [name]=\"name\"\r\n              [placeholder]=\"placeholder\"\r\n              [disabled]=\"disabled\"\r\n              [type]=\"type\"\r\n              [pattern]=\"pattern\"\r\n              [min]=\"'' + min\"\r\n              [max]=\"'' + max\"\r\n              [minlength]=\"minlength\"\r\n              [maxlength]=\"maxlength\"\r\n              [attr.tabindex]=\"tabindex\"\r\n              [attr.autocomplete]=\"autocomplete\"\r\n              [attr.autocorrect]=\"autocorrect\"\r\n              [attr.spellcheck]=\"spellcheck\"\r\n              (change)=\"onChange($event)\"\r\n              (keyup)=\"onKeyUp($event)\"\r\n              (focus)=\"onFocus($event)\"\r\n              (blur)=\"onBlur($event)\"\r\n              (click)=\"click.emit($event)\"\r\n              [required]=\"required\"\r\n              #inputModel=\"ngModel\"\r\n              #inputControl\r\n            />\r\n            <input [ngClass]=\"{'search-txt': search }\"\r\n              *ngIf=\"passwordToggleEnabled\"\r\n              [hidden]=\"!passwordTextVisible\"\r\n              type=\"text\"\r\n              class=\"ngx-input-box\"\r\n              type=\"text\"\r\n              [id]=\"id + '-password'\"\r\n              [placeholder]=\"placeholder\"\r\n              [name]=\"name\"\r\n              [pattern]=\"pattern\"\r\n              [disabled]=\"disabled\"\r\n              [minlength]=\"minlength\"\r\n              [maxlength]=\"maxlength\"\r\n              [attr.autocomplete]=\"autocomplete\"\r\n              [attr.autocorrect]=\"autocorrect\"\r\n              [attr.spellcheck]=\"spellcheck\"\r\n              [attr.tabindex]=\"tabindex\"\r\n              [(ngModel)]=\"value\"\r\n              (change)=\"onChange($event)\"\r\n              (keyup)=\"onKeyUp($event)\"\r\n              (focus)=\"onFocus($event)\"\r\n              (blur)=\"onBlur($event)\"\r\n              (click)=\"click.emit($event)\"\r\n              [required]=\"required\"\r\n              #inputTextModel=\"ngModel\"\r\n              #passwordControl\r\n            />\r\n            <span\r\n              *ngIf=\"type === 'password' && passwordToggleEnabled\"\r\n              class=\"icon-eye\"\r\n              title=\"Toggle Text Visibility\"\r\n              (click)=\"togglePassword()\"\r\n            >\r\n            </span>\r\n            <div class=\"nitro-input-label\">\r\n            <span [innerHTML]=\"label\"></span> <span class=\"required-indicator\" [innerHTML]=\"requiredIndicatorView\"></span>\r\n             <span class=\"nitro-tool\" [matTooltipPosition]=\"'above'\" matTooltipClass='input-tooltip' matTooltip=\"{{toolmsg}}\" [hidden]=\"!tooltip\"> <img src=\"../../../assets/icons/tooltip.svg\"></span>\r\n          </div>\r\n            <div class=\"suffix-icon\">\r\n             <ng-content select=\"nitrozen-input-suffix\"></ng-content>\r\n           </div>\r\n          </div>\r\n         \r\n        </div>\r\n       \r\n      </div>\r\n      <!-- <div class=\"ngx-input-underline\">\r\n        <div class=\"underline-fill\"></div>\r\n      </div> -->\r\n      <div class=\"ngx-input-hint\" *ngIf=\"hint\">\r\n        <!-- <ng-content select=\"ngx-input-hint\"></ng-content> -->\r\n        <span  [innerHTML]=\"hint\"></span>\r\n      </div>\r\n      <div class=\"nitro-cmp\">\r\n        <div>\r\n      <div class=\"nitro-input-error\" [ngClass]=\"{'is-focused':focused}\" *ngIf=\"error\">\r\n        <!-- <ng-content select=\"ngx-input-hint\"></ng-content> -->\r\n        <span  [innerHTML]=\"error\"></span>\r\n      </div>\r\n       <div class=\"nitro-input-success\" *ngIf=\"success\">\r\n        <!-- <ng-content select=\"ngx-input-hint\"></ng-content> -->\r\n        <div class=\"nito-ss-img\" *ngIf=\"showSuccess\">\r\n        <img src=\"../../../assets/icons/check-circle.svg\">\r\n        </div>\r\n        <div class=\"ss-txt\" *ngIf=\"showSuccess\">\r\n        <span  [innerHTML]=\"success\"></span>\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <div class=\"ngx-input-hint\" *ngIf=\"righttext\">\r\n    <span  [innerHTML]=\"righttext\"></span>\r\n  </div>\r\n      </div>\r\n    </div>\r\n\r\n\r\n\r\n",
            styles: [".nitro-input-label{color:#9b9b9b;font-family:Poppins;font-size:12px;font-weight:500;line-height:21px;padding-bottom:4px}.nitro-tool{width:24px;height:24px;text-align:center;padding-left:4px}.input-noneditable{opacity:.4;pointer-events:none}input{height:36px;border:1px solid #d7d7d7;border-radius:4px;background-color:#fff;outline:0;color:#41434c;font-family:Poppins;font-size:14px;line-height:21px;padding-left:5px;width:100%}input:focus{box-shadow:none;border:1px solid #5c6bdd!important;border-radius:3px;background-color:#fff}input:focus+.nitro-input-label{color:#5c6bdd!important;font-weight:600!important}.is-focused{display:none!important}.nitro-cmp{display:flex;justify-content:space-between}textarea{box-sizing:border-box;height:96px;border:1px solid #d7d7d7;border-radius:4px;background-color:#fff;outline:0;color:#41434c;font-family:Poppins;font-size:14px;line-height:21px;padding-left:12px;padding-top:6px;width:100%}textarea:focus{box-shadow:none;border:1px solid #5c6bdd;border-radius:3px;background-color:#fff}textarea:focus+.nitro-input-label{color:#5c6bdd}.ss-txt{padding-left:5px}.suffix-icon{position:absolute;right:0;top:35px;width:24px;height:24px;text-align:center;cursor:pointer}.nito-ss-img{line-height:28px}.blocked{background-color:#f3f3f3;pointer-events:none}.prefix-icon{position:absolute;left:5px;top:35px;width:24px;height:24px;text-align:center}.search-txt{padding-left:28px;width:97.5%!important}.nitro-input-box-wrap{display:flex;position:relative;flex-direction:column-reverse}::-moz-placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}::placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}:-ms-input-placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}::-ms-input-placeholder{color:#a4a4a4;font-family:Poppins;font-size:12px;line-height:21px}.nitro-input-flex-wrap-inner{padding-top:4px}.ngx-input{width:100%}.ngx-input ngx-input-prefix{margin-right:8px}.ngx-input ngx-input-suffix{margin-left:8px}.ngx-input .nitro-input-wrap .ngx-input-box-wrap{position:relative;width:100%}.ngx-input .nitro-input-wrap .ngx-input-box-wrap:focus{outline:0}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box,.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea{height:40px;border:1px solid #d7d7d7;border-radius:4px;background-color:#fff;outline:0;color:#41434c;font-family:Poppins;font-size:14px;line-height:21px;padding-left:12px;width:100%}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box:focus,.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea:focus{box-shadow:none;border:1px solid #5c6bdd!important;border-radius:3px;background-color:#fff}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box[disabled],.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea[disabled]{color:grey;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-box{margin:3px 0}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .ngx-input-textarea{resize:none}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .icon-eye{line-height:25px;top:0;bottom:0;position:absolute;right:10px;cursor:pointer;font-size:.8rem;color:#00f;transition:color .1s}.ngx-input .nitro-input-wrap .ngx-input-box-wrap .icon-eye:hover{color:red}.ngx-input .nitro-input-wrap .ngx-input-label{pointer-events:none;position:absolute;font-size:16px}.ngx-input .nitro-input-wrap .ngx-input-underline{width:100%;height:1px;background-color:#ff0}.ngx-input .nitro-input-wrap .ngx-input-underline .underline-fill{background-color:#00f;width:100%;height:2px;margin:0 auto}.ngx-input .nitro-input-wrap .nitro-input-error{display:none}.ngx-input .nitro-input-wrap .ngx-input-hint{color:#9b9b9b;font-family:Poppins;font-size:12px;font-weight:500;line-height:21px;padding-top:4px}.ngx-input .nitro-input-wrap .nitro-input-success{color:#36cc9b;font-family:Poppins;font-size:12px;line-height:21px;display:flex;padding-top:4px}.ngx-input.invalid.ng-touched .ngx-input-box,.ngx-input.invalid.ng-touched .ngx-input-textarea,.ngx-input.ng-invalid.ng-dirty .ngx-input-box,.ngx-input.ng-invalid.ng-dirty .ngx-input-textarea,.ngx-input.ng-invalid.ng-touched .ngx-input-box,.ngx-input.ng-invalid.ng-touched .ngx-input-textarea{border:1px solid #fa3f4d}.ngx-input.invalid.ng-touched .nitro-input-label,.ngx-input.ng-invalid.ng-dirty .nitro-input-label,.ngx-input.ng-invalid.ng-touched .nitro-input-label{font-weight:600;color:#fa3f4d}.ngx-input.invalid.ng-touched .ngx-input-hint,.ngx-input.ng-invalid.ng-dirty .ngx-input-hint,.ngx-input.ng-invalid.ng-touched .ngx-input-hint{color:#fa3f4d;display:none}.ngx-input.invalid.ng-touched .nitro-input-error,.ngx-input.ng-invalid.ng-dirty .nitro-input-error,.ngx-input.ng-invalid.ng-touched .nitro-input-error{display:block;color:#fa3f4d;font-family:Poppins;font-size:12px;line-height:18px;padding-top:4px}.ngx-input.invalid.ng-touched .nitro-input-success,.ngx-input.ng-invalid.ng-dirty .nitro-input-success,.ngx-input.ng-invalid.ng-touched .nitro-input-success{display:none}"]
        })
    ], InputComponent);
    return InputComponent;
}());

var InputSuffixComponent = /** @class */ (function () {
    function InputSuffixComponent() {
    }
    InputSuffixComponent = __decorate([
        Component({
            selector: 'nitrozen-input-suffix',
            template: "\n    <ng-content></ng-content>\n  "
        })
    ], InputSuffixComponent);
    return InputSuffixComponent;
}());

var InputPrefixComponent = /** @class */ (function () {
    function InputPrefixComponent() {
    }
    InputPrefixComponent = __decorate([
        Component({
            selector: 'nitrozen-input-prefix',
            template: "\n    <ng-content></ng-content>\n  "
        })
    ], InputPrefixComponent);
    return InputPrefixComponent;
}());

var InputModule = /** @class */ (function () {
    function InputModule() {
    }
    InputModule = __decorate([
        NgModule({
            declarations: [InputComponent, InputSuffixComponent, InputPrefixComponent],
            imports: [
                CommonModule,
                MatInputModule,
                MatProgressSpinnerModule,
                FormsModule,
                ReactiveFormsModule,
                MatSlideToggleModule,
                MatTooltipModule,
            ],
            exports: [
                InputComponent,
                InputSuffixComponent,
                InputPrefixComponent,
                MatInputModule,
                FormsModule,
                ReactiveFormsModule,
                MatProgressSpinnerModule,
                MatSlideToggleModule,
                MatTooltipModule,
            ],
        })
    ], InputModule);
    return InputModule;
}());

var SearchableSelectComponent = /** @class */ (function () {
    function SearchableSelectComponent() {
        this.destroy$ = new Subject();
        this.selectCtrl = new FormControl();
        this.selectFilterCtrl = new FormControl();
        this.customClass = "";
        this.isColumnHeader = true;
        this.placeholder = "Select";
        this.label = this.placeholder;
        this.displayName = "name";
        this.id = "id";
        this.isMultiple = false;
        this.isSearch = true;
        this.change = new EventEmitter();
        this.optionListObject = {};
    }
    SearchableSelectComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.filteredoptions = this.options;
        this.selectCtrl.setValue(this.value);
        this.options.forEach(function (option) {
            _this.optionListObject[option[_this.id]] = option;
        });
        this.selectFilterCtrl.valueChanges
            .pipe(takeUntil(this.destroy$))
            .subscribe(function () {
            _this.filterOptions();
        });
        this.selectCtrl.valueChanges
            .pipe(takeUntil(this.destroy$))
            .subscribe(function (event) {
            if (!_this.isMultiple) {
                _this.change.emit({
                    value: _this.selectCtrl.value,
                    objectValue: _this.optionListObject[_this.selectCtrl.value],
                });
            }
        });
    };
    SearchableSelectComponent.prototype.ngOnChanges = function (event) {
        var _this = this;
        if (event.value) {
            this.selectCtrl.setValue(event.value.currentValue, { emitEvent: false });
        }
        if (event.options) {
            this.options = event.options.currentValue;
            this.filteredoptions = this.options;
            this.options.forEach(function (option) {
                _this.optionListObject[option[_this.id]] = option;
            });
        }
    };
    SearchableSelectComponent.prototype.submitOptions = function () {
        var objectValue = this.getArrayValueObjects(this.selectCtrl.value);
        this.change.emit({
            value: this.selectCtrl.value,
            objectValue: objectValue,
        });
        this.select.close();
    };
    SearchableSelectComponent.prototype.clearOptions = function () {
        this.selectCtrl.setValue([]);
        this.change.emit({
            value: [],
            objectValue: [],
        });
        this.select.close();
    };
    SearchableSelectComponent.prototype.getArrayValueObjects = function (value) {
        var _this = this;
        var objectValue = [];
        console.log(value);
        value.forEach(function (selectedValue) {
            objectValue.push(_this.optionListObject[selectedValue]);
        });
        return objectValue;
    };
    SearchableSelectComponent.prototype.filterOptions = function () {
        var _this = this;
        if (!this.options) {
            return;
        }
        // get the search keyword
        var search = this.selectFilterCtrl.value;
        if (!search) {
            this.filteredoptions = this.options.slice();
            return;
        }
        else {
            search = search.toLowerCase();
        }
        // filter the options
        this.filteredoptions = this.options.filter(function (option) { return option[_this.displayName].toLowerCase().indexOf(search) > -1; });
    };
    SearchableSelectComponent.prototype.selectAllChanged = function (event) {
        //  console.log(event);
        // alert(event);
    };
    __decorate([
        ViewChild("select")
    ], SearchableSelectComponent.prototype, "select", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "customClass", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "isColumnHeader", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "placeholder", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "label", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "value", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "options", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "displayName", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "id", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "isMultiple", void 0);
    __decorate([
        Input()
    ], SearchableSelectComponent.prototype, "isSearch", void 0);
    __decorate([
        Output()
    ], SearchableSelectComponent.prototype, "change", void 0);
    SearchableSelectComponent = __decorate([
        Component({
            selector: "nitrozen-select",
            template: "<div class=\"nitrozen-select-wrapper\">\r\n  <div class=\"nitro-div\">\r\n    <mat-form-field\r\n      class=\"customClass\"\r\n      [ngClass]=\"{ disabled: !this.options.length }\"\r\n      style=\"display: block;\"\r\n    >\r\n      <mat-select\r\n        [formControl]=\"selectCtrl\"\r\n        [multiple]=\"isMultiple\"\r\n        triggerValue=\"Select\"\r\n        #select\r\n        [attr.disabled]=\"!this.options.length\"\r\n        [panelClass]=\"\r\n          isMultiple\r\n            ? 'nitro-searchable-multiple-select-panel'\r\n            : 'nitro-searchable-select-panel'\r\n        \"\r\n      >\r\n        <mat-select-trigger *ngIf=\"isColumnHeader\">\r\n          <span class=\"place-holder\">\r\n            {{ placeholder }}\r\n          </span>\r\n        </mat-select-trigger>\r\n        <div class=\"options-container\">\r\n          <mat-option *ngIf=\"isSearch\">\r\n            <ngx-mat-select-search\r\n              [formControl]=\"selectFilterCtrl\"\r\n              [placeholderLabel]=\"'Search'\"\r\n              [noEntriesFoundLabel]=\"'No match found'\"\r\n            ></ngx-mat-select-search>\r\n          </mat-option>\r\n          <!--multiple selection start-->\r\n          <!--<mat-checkbox\r\n            *ngIf=\"isMultiple\"\r\n            class=\"mat-option\"\r\n            [disableRipple]=\"true\"\r\n            [indeterminate]=\"isIndeterminate()\"\r\n            [checked]=\"isChecked()\"\r\n            (change)=\"toggleSelection($event)\"\r\n            (click)=\"$event.stopPropagation()\"\r\n          >\r\n          </mat-checkbox>-->\r\n\r\n          <!--multiple selection end-->\r\n\r\n          <mat-option\r\n            *ngFor=\"let option of filteredoptions\"\r\n            [value]=\"option[id]\"\r\n          >\r\n            {{ option[displayName] }}\r\n          </mat-option>\r\n        </div>\r\n        <div class=\"select-action-container\" *ngIf=\"isMultiple\">\r\n          <nitrozen-button-text (clicked)=\"clearOptions()\"\r\n            >Clear</nitrozen-button-text\r\n          >\r\n          <nitrozen-button-text (clicked)=\"submitOptions()\" [theme]=\"'primary'\"\r\n            >Submit</nitrozen-button-text\r\n          >\r\n        </div>\r\n      </mat-select>\r\n      <mat-placeholder class=\"place-holder\">{{ placeholder }}</mat-placeholder>\r\n    </mat-form-field>\r\n  </div>\r\n</div>\r\n\r\n<!-- <div class=\"nitrozen-select-wrapper\">\r\n  <div class=\"nitro-div\">\r\n    <mat-form-field [floatLabel]=\"'always'\">\r\n      <mat-label>{{ label }}</mat-label>\r\n\r\n      <mat-select\r\n        #select\r\n        [ngClass]=\"select.panelOpen ? 'arrow-top' : 'arrow-bottom'\"\r\n        [placeholder]=\"placeholder\"\r\n        [formControl]=\"selectCtrl\"\r\n        [multiple]=\"isMultiple\"\r\n        triggerValue=\"Select\"\r\n        [disableOptionCentering]=\"true\"\r\n        #select\r\n        [panelClass]=\"\r\n          isMultiple\r\n            ? 'nitro-searchable-multiple-select-panel'\r\n            : 'nitro-searchable-select-panel'\r\n        \"\r\n        name=\"form_value\"\r\n      >\r\n        <div class=\"options-container\">\r\n          <mat-option *ngIf=\"isSearch\">\r\n            <ngx-mat-select-search\r\n              [formControl]=\"selectFilterCtrl\"\r\n              [placeholderLabel]=\"'Search'\"\r\n              [noEntriesFoundLabel]=\"'No match found'\"\r\n            ></ngx-mat-select-search>\r\n          </mat-option>\r\n          <nitrozen-select-check-all\r\n            *ngIf=\"isMultiple\"\r\n            [text]=\"''\"\r\n            [model]=\"selectCtrl\"\r\n            [values]=\"options\"\r\n            (change)=\"selectAllChanged($event)\"\r\n          >\r\n          </nitrozen-select-check-all>\r\n          <mat-option\r\n            *ngFor=\"let option of filteredoptions\"\r\n            [value]=\"option[id]\"\r\n          >\r\n            {{ option[displayName] }}\r\n          </mat-option>\r\n        </div>\r\n        <div class=\"select-action-container\" *ngIf=\"isMultiple\">\r\n          <nitrozen-button-text (clicked)=\"clearOptions()\"\r\n            >Clear</nitrozen-button-text\r\n          >\r\n          <nitrozen-button-text (clicked)=\"submitOptions()\" [theme]=\"'primary'\"\r\n            >Submit</nitrozen-button-text\r\n          >\r\n        </div>\r\n      </mat-select>\r\n      <mat-placeholder class=\"place-holder\">{{ placeholder }}</mat-placeholder>\r\n    </mat-form-field>\r\n    <div>{{ model }}</div>\r\n  </div>\r\n</div> -->\r\n",
            encapsulation: ViewEncapsulation.None,
            styles: [".nitro-div .customClass.disabled{pointer-events:none;opacity:.6}.nitro-div ::ng-deep .mat-form-field-underline{display:none}.nitro-div .mat-form-field-infix{border-top:0!important}.nitro-div ::ng-deep .mat-select-value-text{height:40px!important;padding-left:25px;line-height:40px!important;font-family:Poppins}.nitro-div ::ng-deep .mat-select{height:40px;background:#fff;border:1px solid #a9a9a9;border-radius:2px;font-family:Poppins}.nitro-div ::ng-deep .mat-form-field-label{line-height:40px!important;padding-left:5px;font-family:Poppins}.nitro-div ::ng-deep .mat-select-trigger{height:40px}.nitro-div .mat-select-disabled{border:none}.nitro-div .mat-select-disabled ::ng-deep .mat-select-trigger{background-color:#e4e5e6;border:1px solid #e4e5e6}.nitro-div .mat-select-disabled ::ng-deep .mat-select-arrow{margin:0 12px!important;color:#bbb!important}.nitro-div .mat-select-disabled ::ng-deep .mat-select-value-text{color:#bbb}.nitro-div ::ng-deep .mat-option{height:40px!important;border-bottom:1px solid;font-family:Poppins}.nitro-div ::ng-deep .mat-option-text{font-family:Poppins}.nitro-div ::ng-deep .mat-select-arrow{margin:0 12px!important;color:#5c6bdd!important}.nitro-div .mat-form-field-can-float.mat-form-field-should-float ::ng-deep .mat-form-field-label{line-height:21px!important;font-size:16px;font-weight:500px}.place-holder{font-size:13px;padding-left:10px}.select-action-container{display:flex;flex-direction:row;justify-content:flex-end;height:60px;border-top:1px solid #e4e5e6;align-items:center}.mat-checkbox-checked .mat-checkbox-layout .mat-checkbox-inner-container .mat-checkbox-background,.mat-checkbox-indeterminate .mat-checkbox-layout .mat-checkbox-inner-container .mat-checkbox-background{background-color:#3f51b5!important}.options-container{max-height:196px;overflow:auto}.arrow-top ::ng-deep .mat-select-arrow{border-bottom:5px solid;border-top:none!important}.arrow-bottom :ng-deep .mat-select-arrow{border-top:5px solid;border-bottom:none!important}.mat-select-panel{max-height:280px}"]
        })
    ], SearchableSelectComponent);
    return SearchableSelectComponent;
}());

var SelectCheckAllComponent = /** @class */ (function () {
    function SelectCheckAllComponent() {
        this.values = [];
        this.text = "Select All";
        this.change = new EventEmitter();
    }
    SelectCheckAllComponent.prototype.ngOnInit = function () { };
    SelectCheckAllComponent.prototype.isChecked = function () {
        return (this.model.value &&
            this.values.length &&
            this.model.value.length === this.values.length);
    };
    SelectCheckAllComponent.prototype.isIndeterminate = function () {
        return (this.model.value &&
            this.values.length &&
            this.model.value.length &&
            this.model.value.length < this.values.length);
    };
    SelectCheckAllComponent.prototype.toggleSelection = function (change) {
        if (change.checked) {
            this.model.setValue(__spread(this.values.map(function (item) { return item.viewValue; })));
        }
        else {
            this.model.setValue([]);
        }
    };
    SelectCheckAllComponent.prototype.selectAndDeselect = function () { };
    __decorate([
        Input()
    ], SelectCheckAllComponent.prototype, "model", void 0);
    __decorate([
        Input()
    ], SelectCheckAllComponent.prototype, "values", void 0);
    __decorate([
        Input()
    ], SelectCheckAllComponent.prototype, "text", void 0);
    __decorate([
        Output()
    ], SelectCheckAllComponent.prototype, "change", void 0);
    __decorate([
        ViewChild("allSelected")
    ], SelectCheckAllComponent.prototype, "allSelected", void 0);
    SelectCheckAllComponent = __decorate([
        Component({
            selector: "nitrozen-select-check-all",
            template: "<mat-checkbox\r\n  class=\"mat-option\"\r\n  [disableRipple]=\"true\"\r\n  [indeterminate]=\"isIndeterminate()\"\r\n  [checked]=\"isChecked()\"\r\n  (change)=\"toggleSelection($event)\"\r\n  (click)=\"$event.stopPropagation()\"\r\n>\r\n  {{ text }}\r\n</mat-checkbox>\r\n<!-- \r\n(click)=\"$event.stopPropagation()\" -->\r\n",
            styles: [""]
        })
    ], SelectCheckAllComponent);
    return SelectCheckAllComponent;
}());

var SearchableSelectModule = /** @class */ (function () {
    function SearchableSelectModule() {
    }
    SearchableSelectModule = __decorate([
        NgModule({
            declarations: [SearchableSelectComponent, SelectCheckAllComponent],
            imports: [
                CommonModule,
                MatSelectModule,
                FormsModule,
                ReactiveFormsModule,
                NgxMatSelectSearchModule,
                MatCheckboxModule,
                ButtonTextModule,
            ],
            exports: [
                SearchableSelectComponent,
                MatSelectModule,
                SelectCheckAllComponent,
                MatCheckboxModule,
            ],
        })
    ], SearchableSelectModule);
    return SearchableSelectModule;
}());

var CustomSnackbarComponent = /** @class */ (function () {
    function CustomSnackbarComponent(snackBarRef, data) {
        this.snackBarRef = snackBarRef;
        this.data = data;
    }
    CustomSnackbarComponent.ctorParameters = function () { return [
        { type: MatSnackBarRef },
        { type: undefined, decorators: [{ type: Inject, args: [MAT_SNACK_BAR_DATA,] }] }
    ]; };
    CustomSnackbarComponent = __decorate([
        Component({
            selector: "custom-snackbar",
            template: "\n    <div\n      class=\"flex\"\n      style=\"display: flex;\n    justify-content: space-between;align-items: center;\"\n    >\n      <div class=\"data\" style=\"white-space: pre-line;\">{{ data.data }}</div>\n      <div\n        class=\"dismiss\"\n        style=\"cursor:pointer;align-items: center;\n    display: flex;\"\n        *ngIf=\"data.hasIcon\"\n      >\n        <mat-icon (click)=\"snackBarRef.dismiss()\">close</mat-icon>\n      </div>\n      <div\n        class=\"dismiss\"\n        style=\"cursor:pointer;line-height: 40px;\"\n        *ngIf=\"!data.hasIcon\"\n      >\n        <div *ngIf=\"data.text\">{{ data.text }}</div>\n      </div>\n    </div>\n  "
        }),
        __param(1, Inject(MAT_SNACK_BAR_DATA))
    ], CustomSnackbarComponent);
    return CustomSnackbarComponent;
}());

var SnackBarComponent = /** @class */ (function () {
    function SnackBarComponent() {
    }
    SnackBarComponent.prototype.ngOnInit = function () {
    };
    SnackBarComponent = __decorate([
        Component({
            selector: 'nitrozen-snack-bar',
            template: "\n    <ng-content></ng-content>\n  ",
            styles: ["::ng-deep .text-snackbar{border-radius:3px;background-color:#5c6bdd!important;color:#fff;font-family:Poppins;font-size:14px;font-weight:400;line-height:21px}.btn-space{display:flex;justify-content:space-evenly;padding-top:30px}::ng-deep .success-snackbar{border-radius:3px;background-color:#00c851;color:#fff;font-family:Poppins;font-size:14px;font-weight:400;line-height:21px}::ng-deep .error-snackbar{border-radius:3px;background-color:#fa3f4d;color:#fff;font-family:Poppins;font-size:14px;font-weight:400;line-height:21px}"]
        })
    ], SnackBarComponent);
    return SnackBarComponent;
}());

var ɵ0 = {};
var SnackBarModule = /** @class */ (function () {
    function SnackBarModule() {
    }
    SnackBarModule = __decorate([
        NgModule({
            declarations: [SnackBarComponent, CustomSnackbarComponent],
            imports: [CommonModule, MatIconModule],
            exports: [SnackBarComponent, CustomSnackbarComponent, MatIconModule],
            providers: [{ provide: MAT_SNACK_BAR_DATA, useValue: ɵ0 }],
            entryComponents: [CustomSnackbarComponent],
        })
    ], SnackBarModule);
    return SnackBarModule;
}());

var VerticalTabsComponent = /** @class */ (function () {
    function VerticalTabsComponent() {
        this.change = new EventEmitter();
    }
    VerticalTabsComponent.prototype.ngOnInit = function () {
    };
    VerticalTabsComponent.prototype.handleChange = function (obj) {
        console.log(obj);
        this.change.emit(obj);
    };
    __decorate([
        Input()
    ], VerticalTabsComponent.prototype, "tab", void 0);
    __decorate([
        Output()
    ], VerticalTabsComponent.prototype, "change", void 0);
    VerticalTabsComponent = __decorate([
        Component({
            selector: 'nitrozen-vertical-tabs',
            template: "<div class=\"tabordion\">\r\n  <section *ngFor=\"let tb of tab; let i = index\">\r\n    <input type=\"radio\" name=\"sections\" id=\"option{{i}}\" [checked]=\"tb.checked\" (change)=\"handleChange(tb)\">\r\n    <label for=\"option{{i}}\">\r\n    \t<div class=\"tab-sls\">\r\n    \t\t<div class=\"tab-select\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\r\n    \t</div>\r\n    \t<div class=\"tab-unselect\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\r\n    \t</div>\r\n\r\n    \t<div class=\"text-tabs\">{{tb.name}}</div>\r\n    \t</div>\r\n    \t</label>\r\n    <!-- <article>\r\n      <p>{{tb.name}}</p>\r\n    </article> -->\r\n  </section>\r\n<!--   <section id=\"section2\">\r\n    <input type=\"radio\" name=\"sections\" id=\"option2\">\r\n    <label for=\"option2\">\r\n    \t<div class=\"tab-sls\">\r\n    \t\t<div class=\"tab-select\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\r\n    \t</div>\r\n    \t<div class=\"tab-unselect\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\r\n    \t</div>\r\n\r\n    \t<div class=\"text-tabs\">Catalog Portfolio</div>\r\n    \t</div>\r\n    </label>\r\n    <article>\r\n      <p>Catalog Portfolio</p>\r\n    </article>\r\n  </section>\r\n  <section id=\"section3\">\r\n    <input type=\"radio\" name=\"sections\" id=\"option3\">\r\n     <label for=\"option3\">\r\n    \t<div class=\"tab-sls\">\r\n    \t\t<div class=\"tab-select\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\r\n    \t</div>\r\n    \t<div class=\"tab-unselect\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\r\n    \t</div>\r\n\r\n    \t<div class=\"text-tabs\">Business Profile</div>\r\n    \t</div>\r\n    </label>\r\n    <article>\r\n      <p>Business Profile</p>\r\n    </article>\r\n  </section>\r\n  <section id=\"section4\">\r\n    <input type=\"radio\" name=\"sections\" id=\"option4\">\r\n    <label for=\"option4\">\r\n    \t<div class=\"tab-sls\">\r\n    \t\t<div class=\"tab-select\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\r\n    \t</div>\r\n    \t<div class=\"tab-unselect\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\r\n    \t</div>\r\n\r\n    \t<div class=\"text-tabs\">KYC & Bank Details</div>\r\n    \t</div>\r\n    </label>\r\n    <article>\r\n      <p>KYC & Bank Details</p>\r\n    </article>\r\n  </section>\r\n  <section id=\"section5\">\r\n    <input type=\"radio\" name=\"sections\" id=\"option5\">\r\n    <label for=\"option5\">\r\n    \t<div class=\"tab-sls\">\r\n    \t\t<div class=\"tab-select\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_selected_icon.svg\">\r\n    \t</div>\r\n    \t<div class=\"tab-unselect\">\r\n    \t\t<img class=\"img-tabs\" src=\"../../../assets/icons/tab_unselected.svg\">\r\n    \t</div>\r\n\r\n    \t<div class=\"text-tabs\">Agreement</div>\r\n    \t</div>\r\n    </label>\r\n    <article>\r\n      <p>Agreement</p>\r\n    </article>\r\n  </section> -->\r\n</div>",
            styles: [".tabordion{display:block;font-family:Poppins;margin:auto;position:relative}.tabordion input[name=sections]{left:-9999px;position:absolute;top:-9999px}.tabordion section{display:block}.tabordion section label{cursor:pointer;display:block;padding:15px 20px;position:relative;max-width:280px;border-radius:3px;width:200px;z-index:100;border:1px solid #e4e5e6;margin-bottom:10px;color:#41434c;font-family:Poppins;font-size:16px;font-weight:500;line-height:25px}.tabordion section label .tab-select{display:none}.tabordion section label .tab-unselect{display:block}.tabordion section article{display:none;left:230px;min-width:300px;padding:0 0 0 21px;position:absolute;top:0}.tabordion section article:after{bottom:0;content:\"\";display:block;left:-229px;position:absolute;top:0;width:220px;z-index:1}.tabordion input[name=sections]:checked+label{color:#5c6bdd;font-family:Poppins;font-size:16px;border:1px solid #fff}.tabordion input[name=sections]:checked+label .tab-select{display:block}.tabordion input[name=sections]:checked+label .tab-unselect{display:none}.tabordion input[name=sections]:checked~article{display:block}.tab-select{height:24px;width:24px}.img-tabs{padding-top:2px}.text-tabs{padding-left:12px}.tab-unselect{height:24px;width:24px}@media (max-width:533px){.tabordion,h1{width:100%}.tabordion section label{font-size:1em;width:160px}.tabordion section article{left:200px;min-width:270px}.tabordion section article:after{bottom:0;content:\"\";display:block;left:-199px;position:absolute;top:0;width:200px}}.tab-sls{display:flex}@media (max-width:768px){.tabordion,h1{width:96%}}@media (min-width:1366px){.tabordion,h1{width:70%}}@media (min-width:1824px){.tabordion,h1{width:100%}}"]
        })
    ], VerticalTabsComponent);
    return VerticalTabsComponent;
}());

var VerticalTabsModule = /** @class */ (function () {
    function VerticalTabsModule() {
    }
    VerticalTabsModule = __decorate([
        NgModule({
            declarations: [VerticalTabsComponent],
            imports: [
                CommonModule
            ],
            exports: [
                VerticalTabsComponent
            ],
            schemas: [CUSTOM_ELEMENTS_SCHEMA]
        })
    ], VerticalTabsModule);
    return VerticalTabsModule;
}());

var TabsComponent = /** @class */ (function () {
    function TabsComponent() {
        this.change = new EventEmitter();
    }
    TabsComponent.prototype.ngOnInit = function () {
    };
    TabsComponent.prototype.handleChange = function (obj) {
        console.log(obj);
        this.change.emit(obj);
    };
    __decorate([
        Input()
    ], TabsComponent.prototype, "tab", void 0);
    __decorate([
        Output()
    ], TabsComponent.prototype, "change", void 0);
    TabsComponent = __decorate([
        Component({
            selector: 'nitrozen-tabs',
            template: "<div>\r\n<div class=\"tab-ordion\">\r\n  <section *ngFor=\"let tb of tab; let i = index\">\r\n    <input type=\"radio\" name=\"sections\" id=\"option{{i}}\" [checked]=\"tb.checked\" (change)=\"handleChange(tb)\">\r\n    <label for=\"option{{i}}\">\r\n    \t<div class=\"text-tabs\">{{tb.name}}</div>\r\n    \t</label>\r\n  </section>\r\n</div>\r\n</div>",
            styles: [".tab-ordion{display:flex;font-family:Poppins;position:relative;justify-content:space-evenly;padding-top:20px;width:87%}.tab-ordion input[name=sections]{left:-9999px;position:absolute;top:-9999px}.tab-ordion section{display:flex;align-items:center}.tab-ordion section label{cursor:pointer;display:block;position:relative;border-radius:3px;z-index:100;margin-bottom:10px;padding:0 12px;color:#41434c;font-family:Poppins}.tab-ordion section label:hover{border-radius:20px;background-color:#f3f3f3;height:40px;align-items:center;display:flex}.tab-ordion section label .tab-select{display:none}.tab-ordion section label .tab-unselect{display:block}.tab-ordion section article{display:none;left:230px;min-width:300px;padding:0 0 0 21px;position:absolute;top:0}.tab-ordion section article:after{bottom:0;content:\"\";display:block;left:-229px;position:absolute;top:0;width:220px;z-index:1}.tab-ordion input[name=sections]:checked+label{color:#5c6bdd;font-family:Poppins;font-size:16px;border:1px solid #fff;background-color:#5c6bdd;border-radius:20px;height:40px;align-items:center;display:flex}.tab-ordion input[name=sections]:checked+label .tab-select{display:block}.tab-ordion input[name=sections]:checked+label .tab-unselect{display:none}.tab-ordion input[name=sections]:checked+label .text-tabs{color:#fff}.tab-ordion input[name=sections]:checked~article{display:block}.tab-select{height:24px;width:24px}.img-tabs{padding-top:2px}.text-tabs{color:#4d4d4e;font-family:Poppins;font-size:14px;line-height:21px;width:100%}.tab-unselect{height:24px;width:24px}@media (max-width:533px){.tab-ordion,h1{width:100%}.tab-ordion section label{font-size:1em;width:160px}.tab-ordion section article{left:200px;min-width:270px}.tab-ordion section article:after{bottom:0;content:\"\";display:block;left:-199px;position:absolute;top:0;width:200px}}.tab-sls{display:flex}@media (max-width:768px){h1{width:96%}.tab-ordion{width:18%}}@media (min-width:1366px){.tab-ordion,h1{width:70%}}@media (min-width:1824px){h1{width:100%}.tab-ordion{width:55%}}"]
        })
    ], TabsComponent);
    return TabsComponent;
}());

var TabsModule = /** @class */ (function () {
    function TabsModule() {
    }
    TabsModule = __decorate([
        NgModule({
            declarations: [TabsComponent],
            imports: [
                CommonModule
            ],
            exports: [
                TabsComponent
            ],
            schemas: [CUSTOM_ELEMENTS_SCHEMA]
        })
    ], TabsModule);
    return TabsModule;
}());

var CropModalComponent = /** @class */ (function () {
    function CropModalComponent(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
        this.croppedImage = "";
    }
    CropModalComponent.prototype.onNoClick = function () {
        this.dialogRef.close(this.croppedImage);
    };
    CropModalComponent.prototype.myMethod = function () {
        this.dialogRef.close();
    };
    CropModalComponent.prototype.imageCropped = function (event) {
        this.croppedImage = event.base64;
    };
    CropModalComponent.prototype.ngOnInit = function () { };
    CropModalComponent.ctorParameters = function () { return [
        { type: MatDialogRef },
        { type: undefined, decorators: [{ type: Inject, args: [MAT_DIALOG_DATA,] }] }
    ]; };
    CropModalComponent = __decorate([
        Component({
            selector: "nitrozen-crop-modal",
            template: "<div class=\"alert-modal\">\r\n\t<div class=\"dialog-tt\" mat-dialog-title>Crop Image</div>\r\n\t<div mat-dialog-content>\r\n\t\t<!-- <input type=\"file\" (change)=\"fileChangeEvent($event)\" />\r\n\t\t<img src=\"{{data.name}}\"> -->\r\n\t\t<div>\r\n\t\t\t<image-cropper\r\n\t\t\t[imageBase64]=\"data.name\"\r\n\t\t\tformat=\"png,jpeg\"\r\n\t\t\t(imageCropped)=\"imageCropped($event)\"\r\n\t\t\t[aspectRatio]=\"data.config\"\r\n\t\t\t></image-cropper>\r\n\t\t</div>\r\n\t</div>\r\n\t<div class=\"dialog-act\" mat-dialog-actions>\r\n\t\t<div>\r\n\t\t\t<nitrozen-button  [isContained]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" (clicked)=\"onNoClick()\">Submit</nitrozen-button>\r\n\t\t</div>\r\n\t\t<div class=\"cancel-btns\">\r\n\t\t\t<nitrozen-button [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\" (clicked)=\"myMethod()\"\r\n\t\t\t>Cancel</nitrozen-button>\r\n\t\t</div>\r\n\t</div>\r\n</div>",
            styles: [".dialog-tt{color:#41434c;font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;visibility:hidden}.dialog-act{display:flex;justify-content:flex-end;padding-top:40px}.cancel-btns{padding-left:12px}"]
        }),
        __param(1, Inject(MAT_DIALOG_DATA))
    ], CropModalComponent);
    return CropModalComponent;
}());

var FileUploadComponent = /** @class */ (function () {
    function FileUploadComponent(_http, dialog) {
        this._http = _http;
        this.dialog = dialog;
        /** Link text */
        this.text = "Drag and drop your file here.";
        /** Name used in form which will be sent in HTTP request. */
        this.param = "file";
        /** Target URL for file uploading. */
        this.target = "https://file.io";
        this.required = false;
        this.download = false;
        this.enableCrop = false;
        /** Allow you to add handler after its completion. Bubble up response text from remote. */
        this.complete = new EventEmitter();
        this.dimen = new EventEmitter();
        this.files = [];
        this.canChange = false;
        this.logo_active = false;
        //    @HostListener('window:keyup', ['$event'])
        //     keyEvent(event: KeyboardEvent) {
        //       event.stopPropagation();
        //      if (event.keyCode === 9 && event.target.parentElement.parentElement.parentElement.contains('logo-img')) {
        //         this.logoActive = true;
        //         this.landscapeActive = false;
        //         this.portActive = false;
        //     }
        //     if (event.keyCode === 9 && event.target.parentElement.parentElement.parentElement.contains('landscape-img')) {
        //         this.landscapeActive = true;
        //         this.logoActive = false;
        //         this.portActive = false;
        //     }
        //     if (event.keyCode === 9 && event.target.parentElement.parentElement.parentElement.contains('protrait-img')) {
        //         this.logoActive = false;
        //         this.landscapeActive = false;
        //         this.portActive = true;
        //     }
        // }
        this.typesMap = {
            csv: {
                accept: "text/csv",
                contentType: ["application/vnd.ms-excel", "text/csv", "text/plain"],
                readMethod: "text",
                errorMsg: "Invalid File Format. only CSV files are allowed",
            },
            image: {
                accept: "image/*",
                readMethod: "dataurl",
                errorMsg: "Invalid File Format. only IMAGE files are allowed",
            },
            image_jpg: {
                accept: "image/jpeg",
                readMethod: "dataurl",
                errorMsg: "Invalid File Format. only JPEG files are allowed",
            },
            video: {
                accept: "video/*",
                readMethod: "dataurl",
                errorMsg: "Invalid File Format. only VIDEO files are allowed",
            },
            pdf: {
                accept: "application/pdf",
                contentType: ["application/pdf"],
                errorMsg: "Invalid File Format. only CSV files are allowed",
            },
            json: {
                accept: "application/json",
                contentType: "application/json",
                readMethod: "text",
                errorMsg: "Invalid File Format. only JSON files are allowed",
            },
        };
    }
    FileUploadComponent.prototype.ngOnInit = function () { };
    FileUploadComponent.prototype.onClick = function () {
        var _this = this;
        this.files = [];
        this.logo_active = true;
        var fileUpload = document.getElementById("fileUpload");
        //this.ff = fileUpload;
        // document.getElementById('fileUpload').onfocus = this.checkIt();
        fileUpload.onchange = function ($event) {
            console.log($event);
            for (var index = 0; index < fileUpload.files.length; index++) {
                var file = fileUpload.files[index];
                _this.files.push({
                    data: file,
                    state: "in",
                    inProgress: false,
                    progress: 0,
                    canRetry: false,
                    canCancel: true,
                });
            }
            _this.uploadFiles();
        };
        fileUpload.click();
    };
    // checkIt() {
    //   if(this.ff && this.ff.value.length){
    //        this.logo_active = false;
    //   } else {
    //        this.logo_active = true;
    //        document.getElementById('fileUpload').onfocus = null;
    //   }
    // }
    FileUploadComponent.prototype.cancelFile = function (file) {
        this.canChange = false;
        this.logo_active = false;
        file.sub.unsubscribe();
        this.removeFileFromArray(file);
    };
    FileUploadComponent.prototype.retryFile = function (file) {
        this.uploadFile(file);
        file.canRetry = false;
    };
    FileUploadComponent.prototype.uploadDragFile = function (event) {
        this.files = [];
        this.logo_active = true;
        for (var index = 0; index < event.length; index++) {
            var element = event[index];
            this.files.push({
                data: element,
                state: "in",
                inProgress: false,
                progress: 0,
                canRetry: false,
                canCancel: true,
            });
            this.uploadFiles();
        }
    };
    FileUploadComponent.prototype.downloadImage = function (downloadUrl) {
        window.open(downloadUrl, "_blank");
    };
    FileUploadComponent.prototype.getImageDimension = function (obj) {
        var fr = new Image();
        fr.onload = function () {
            this.dimens = {
                width: fr.width,
                height: fr.height,
                crop: obj.crop ? obj.crop : false,
            };
            this.dimen.emit(this.dimens);
        }.bind(this);
        fr.src = this.url;
    };
    FileUploadComponent.prototype.uploadFile = function (file) {
        var _this = this;
        this.canChange = true;
        this.uploadedFileName = file.data.name;
        var reader = new FileReader();
        reader.readAsDataURL(file.data); // read file as data url
        reader.onload = function (event) {
            // called once readAsDataURL is completed
            _this.url = event.target["result"];
            _this.getImageDimension({ crop: false });
        };
        this.file_type = file.data.type;
        this.logo_active = false;
        this.complete.emit(file.data);
        // const fd = new FormData();
        // fd.append(this.param, file.data);
        // const req = new HttpRequest('POST', this.target, fd, {
        //       reportProgress: true
        // });
        // file.inProgress = true;
        // file.sub = this._http.request(req).pipe(
        //       map(event => {
        //             switch (event.type) {
        //                   case HttpEventType.UploadProgress:
        //                         file.progress = Math.round(event.loaded * 100 / event.total);
        //                         break;
        //                   case HttpEventType.Response:
        //                         return event;
        //             }
        //       }),
        //       tap(message => { }),
        //       last(),
        //       catchError((error: HttpErrorResponse) => {
        //             file.inProgress = false;
        //             file.canRetry = true;
        //             return of(`${file.data.name} upload failed.`);
        //       })
        // ).subscribe(
        //       (event: any) => {
        //             if (typeof (event) === 'object') {
        //                   this.removeFileFromArray(file);
        //                   this.complete.emit(event.body);
        //             }
        //       }
        // );
    };
    FileUploadComponent.prototype.uploadFiles = function () {
        var _this = this;
        var fileUpload = document.getElementById("fileUpload");
        fileUpload.value = "";
        this.files.forEach(function (file) {
            _this.uploadFile(file);
        });
    };
    FileUploadComponent.prototype.openCropTool = function (event) {
        var _this = this;
        event.stopPropagation();
        var dialogRef = this.dialog.open(CropModalComponent, {
            width: "480px",
            data: { name: this.url, config: this.config },
            autoFocus: false,
        });
        dialogRef.afterClosed().subscribe(function (res) {
            if (res) {
                _this.url = res;
                _this.complete.emit(_this.url);
                _this.getImageDimension({ crop: true });
            }
        });
    };
    FileUploadComponent.prototype.removeFileFromArray = function (file) {
        var index = this.files.indexOf(file);
        if (index > -1) {
            this.files.splice(index, 1);
        }
    };
    FileUploadComponent.prototype.myMethod = function (e) { };
    FileUploadComponent.ctorParameters = function () { return [
        { type: HttpClient },
        { type: MatDialog }
    ]; };
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "text", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "param", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "view", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "size", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "dimension", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "error", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "msg", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "target", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "accept", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "required", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "download", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "enableCrop", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "downloadUrl", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "replaceable", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "newSrc", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "config", void 0);
    __decorate([
        Input()
    ], FileUploadComponent.prototype, "type", void 0);
    __decorate([
        Output()
    ], FileUploadComponent.prototype, "complete", void 0);
    __decorate([
        Output()
    ], FileUploadComponent.prototype, "dimen", void 0);
    FileUploadComponent = __decorate([
        Component({
            selector: "nitrozen-file-upload",
            template: "<div *ngIf=\"type === 'no-preview'\">\r\n  <div class=\"file-cnt\"  (click)=\"onClick()\" appDragDrop (onFileDropped)=\"uploadDragFile($event)\">\r\n    <div class=\"file-side-cont\" [ngClass]=\"{'file-active': logo_active}\" >\r\n      <div class=\"img-ic\" *ngIf=\"!replaceable\">\r\n        <img src=\"./../../assets/icons/fileupload_upload.svg\">\r\n      </div>\r\n      <div class=\"img-ic-new\" *ngIf=\"replaceable && file_type !== 'application/pdf'\">\r\n        <img src=\"./../../assets/icons/fileupload_general.svg\" style=\"height: 65px;object-fit: cover;\">\r\n      </div>\r\n      <div class=\"img-ic-new\" *ngIf=\"replaceable && file_type === 'text/csv'\">\r\n        <img src=\"./../../assets/icons/fileupload_placeholder_pdf.svg\" style=\"height: 65px;object-fit: cover;\">\r\n      </div>\r\n      <div class=\"img-txt\">\r\n        <div class=\"txt-cnt-left\" *ngIf=\"!canChange\">{{text}}</div>\r\n        <div class=\"txt-cnt-left\" *ngIf=\"canChange\">{{uploadedFileName}}</div>\r\n        <div class=\"txt-msg\" title=\"{{msg}}\">{{msg}}</div>\r\n        <div *ngIf=\"size\" class=\"txt-msg\" title=\"{{size}}\">{{size}}</div>\r\n        <div *ngIf=\"dimension\" class=\"txt-msg\" title=\"{{dimension}}\">{{dimension}}</div>\r\n      </div>\r\n      \r\n      <div class=\"file-btn\">\r\n        <div *ngIf=\"downloadUrl\">\r\n          <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\r\n            <img class=\"img-bdr\" src=\"./../../assets/icons/fileupoload-download.svg\">\r\n          </div>\r\n        </div>\r\n        <div *ngIf=\"enableCrop && replaceable\">\r\n           <div class=\"url-down\" (click)=\"openCropTool($event)\">\r\n              <img class=\"img-bdr\" src=\"./../../assets/icons/crop_icon.svg\">\r\n            </div>\r\n        </div>\r\n        <div class=\"flat-btn-underline\" *ngIf=\"!canChange\">\r\n         <nitrozen-button-rounded [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\"\r\n            >Upload</nitrozen-button-rounded>\r\n        </div>\r\n         <div *ngIf=\"canChange\">\r\n            <div class=\"url-down file-change\" (click)=\"onClick()\">\r\n              <img class=\"img-bdr-edit\" src=\"./../../assets/icons/edit_icon.svg\">\r\n            </div>\r\n          </div>\r\n        <!-- <div class=\"flat-btn-underline\"  *ngIf=\"canChange\">\r\n          <a class=\"btn-text file-change\">Change</a>\r\n        </div> -->\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <!-- <ul>\r\n    <li *ngFor=\"let file of files\" [@fadeInOut]=\"file.state\">\r\n      <mat-progress-bar [value]=\"file.progress\"></mat-progress-bar>\r\n      <span id=\"file-label\">\r\n        {{file.data.name}}\r\n        <a title=\"Retry\" (click)=\"retryFile(file)\" *ngIf=\"file.canRetry\">\r\n        <mat-icon>refresh</mat-icon></a>\r\n        <a title=\"Cancel\" (click)=\"cancelFile(file)\" *ngIf=\"file.canCancel\">\r\n        <mat-icon>cancel</mat-icon></a>\r\n      </span>\r\n    </li>\r\n  </ul> -->\r\n  <input type=\"file\" id=\"fileUpload\" [required]=\"required\" name=\"fileUpload\" multiple=\"multiple\"\r\n  accept=\"{{accept}}\" style=\"display:none;\"/>\r\n\r\n  <div *ngIf=\"error\"><span  [innerHTML]=\"error\"></span></div>\r\n</div>\r\n<div *ngIf=\"type === 'preview' && view === 'landscape'\">\r\n  <div class=\"file-cnt-image\" [ngClass]=\"{'file-height': canChange}\"  (click)=\"onClick()\" appDragDrop (onFileDropped)=\"uploadDragFile($event)\">\r\n    <div class=\"inner-cnt\" [ngClass]=\"{'file-active': logo_active}\" >\r\n      <div class=\"image-cnt\" [ngClass]=\"{'file-image-height': canChange}\">\r\n        <div class=\"img-ic-image\" *ngIf=\"!canChange && !replaceable\">\r\n          <img src=\"./../../assets/icons/fileupload_large_upload.svg\">\r\n        </div>\r\n        <div class=\"img-txt-image\" *ngIf=\"!canChange && !replaceable\">\r\n          <div class=\"txt-cnt\">Drag and drop a file here</div>\r\n          <div class=\"txt-cnt\">or</div>\r\n          <div class=\"pad-12\">\r\n            <nitrozen-button-rounded [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\"\r\n            >Upload</nitrozen-button-rounded>\r\n          </div>\r\n          <div class=\"pad-12\" *ngIf=\"!canChange\">\r\n            <div class=\"txt-msg-cn\" title=\"{{msg}}\">{{msg}}</div>\r\n            <div *ngIf=\"size\" class=\"txt-msg-cn\" title=\"{{size}}\">{{size}}</div>\r\n            <div *ngIf=\"dimension\" class=\"txt-msg-cn\" title=\"{{dimension}}\">{{dimension}}</div>\r\n          </div>\r\n          <!-- <div class=\"txt-cnt\" *ngIf=\"canChange\">{{uploadedFileName}}</div> -->\r\n          <!--  <div class=\"txt-msg\" title=\"{{msg}}\">{{msg}}</div> -->\r\n        </div>\r\n        <div>\r\n          <div *ngIf=\"canChange && !replaceable\">\r\n            <img class=\"url-img\" src=\"{{url}}\">\r\n          </div>\r\n          <div *ngIf=\"replaceable\">\r\n            <img class=\"url-img\" src=\"{{newSrc}}\">\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n    </div>\r\n    <div class=\"file-btn-image\" *ngIf=\"canChange\">\r\n      <div class=\"img-new-cnt\">\r\n        <div class=\"txt-cnt-image\" *ngIf=\"canChange\">{{uploadedFileName}}</div>\r\n        <div class=\"txt-msg-image\" title=\"{{msg}}\">{{msg}}</div>\r\n        <div *ngIf=\"size\" class=\"txt-msg-image\" title=\"{{size}}\">{{size}}</div>\r\n        <div *ngIf=\"dimension\" class=\"txt-msg-image\" title=\"{{dimension}}\">{{dimension}}</div>\r\n      </div>\r\n      <div class=\"change-btn\" *ngIf=\"canChange\">\r\n              <div  *ngIf=\"downloadUrl\">\r\n            <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\r\n              <img class=\"img-bdr\" src=\"./../../assets/icons/fileupoload-download.svg\">\r\n            </div>\r\n          </div>\r\n          <div  *ngIf=\"enableCrop\">\r\n            <div class=\"url-down\" (click)=\"openCropTool($event)\">\r\n              <img class=\"img-bdr\" src=\"./../../assets/icons/crop_icon.svg\">\r\n            </div>\r\n          </div>\r\n          <div>\r\n            <div class=\"url-down file-change\" (click)=\"onClick()\">\r\n              <img class=\"img-bdr-edit\" src=\"./../../assets/icons/edit_icon.svg\">\r\n            </div>\r\n          </div>\r\n\r\n       <!--  <div class=\"flat-btn-underline\">\r\n          <a class=\"btn-text file-change\">Change</a>\r\n        </div> -->\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <input type=\"file\" id=\"fileUpload\" [required]=\"required\" name=\"fileUpload\" multiple=\"multiple\"\r\n  accept=\"{{accept}}\" style=\"display:none;\"/>\r\n\r\n  <div *ngIf=\"error\"><span  [innerHTML]=\"error\"></span></div>\r\n</div>\r\n<div *ngIf=\"type === 'preview' && view === 'protrait'\">\r\n  <div class=\"file-cnt-image file-flx\" [ngClass]=\"{'file-height': canChange}\">\r\n    <div class=\"main-file-drop\"  (click)=\"onClick()\" appDragDrop (onFileDropped)=\"uploadDragFile($event)\">\r\n      <div class=\"inner-cnt-prot\" [ngClass]=\"{'file-active': logo_active}\" >\r\n        <div class=\"image-cnt-new\">\r\n          <div class=\"img-ic-image\" *ngIf=\"!canChange && !replaceable\">\r\n            <img src=\"./../../assets/icons/fileupload_large_upload.svg\">\r\n          </div>\r\n          <div class=\"img-txt-image\" *ngIf=\"!canChange && !replaceable\">\r\n            <!-- <div class=\"txt-cnt break-txt\">Drag and drop a file here or click to upload</div> -->\r\n            <div class=\"txt-cnt\">Drag and drop a file here</div>\r\n            <div class=\"txt-cnt\">or</div>\r\n            <div class=\"pad-12\">\r\n              <nitrozen-button-rounded [showProgress]=\"false\" [isStroked]=\"true\" [theme]=\"'primary'\" [showIcon]=\"false\" [shouldBeDisabled]=\"false\">Upload</nitrozen-button-rounded>\r\n            </div>\r\n            <div class=\"pad-12\" *ngIf=\"!canChange\">\r\n              <div class=\"txt-msg-cn\" title=\"{{msg}}\">{{msg}}</div>\r\n              <div *ngIf=\"size\" class=\"txt-msg-cn\" title=\"{{size}}\">{{size}}</div>\r\n              <div *ngIf=\"dimension\" class=\"txt-msg-cn\" title=\"{{dimension}}\">{{dimension}}</div>\r\n            </div>\r\n          </div>\r\n          <div>\r\n          <div *ngIf=\"canChange && !replaceable\">\r\n            <img class=\"url-img-port\" src=\"{{url}}\">\r\n          </div>\r\n          <div *ngIf=\"replaceable\">\r\n            <img class=\"url-img-port\" src=\"{{newSrc}}\">\r\n          </div>\r\n          <!-- <div class=\"icn-down-pos\" *ngIf=\"downloadUrl\">\r\n            <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\r\n              <img src=\"./../../assets/icons/fileupoload-download.svg\">\r\n            </div>\r\n          </div> -->\r\n        </div>\r\n        </div>\r\n\r\n      </div>\r\n    </div>\r\n    <div class=\"file-btn-image\" *ngIf=\"canChange\">\r\n      <div class=\"img-new-cnt\">\r\n        <div class=\"txt-cnt-image\" *ngIf=\"canChange\">{{uploadedFileName}}</div>\r\n        <div class=\"txt-msg-image\" title=\"{{msg}}\">{{msg}}</div>\r\n        <div *ngIf=\"size\" class=\"txt-msg-image\" title=\"{{size}}\">{{size}}</div>\r\n        <div *ngIf=\"dimension\" class=\"txt-msg-image\" title=\"{{dimension}}\">{{dimension}}</div>\r\n      </div>\r\n      <div class=\"change-btn\" *ngIf=\"canChange\">\r\n            <div  *ngIf=\"downloadUrl\">\r\n            <div class=\"url-down\" (click)=\"downloadImage(downloadUrl)\">\r\n              <img class=\"img-bdr\" src=\"./../../assets/icons/fileupoload-download.svg\">\r\n            </div>\r\n          </div>\r\n          <div  *ngIf=\"enableCrop\">\r\n            <div class=\"url-down\" (click)=\"openCropTool($event)\">\r\n              <img class=\"img-bdr\" src=\"./../../assets/icons/crop_icon.svg\">\r\n            </div>\r\n          </div>\r\n           <div>\r\n            <div class=\"url-down file-change\" (click)=\"onClick()\">\r\n              <img class=\"img-bdr-edit\"  src=\"./../../assets/icons/edit_icon.svg\">\r\n            </div>\r\n          </div>\r\n\r\n       <!--  <div class=\"flat-btn-underline\">\r\n          <a class=\"btn-text file-change\" (click)=\"onClick()\">Change</a>\r\n        </div> -->\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <input type=\"file\" id=\"fileUpload\" [required]=\"required\" name=\"fileUpload\" multiple=\"multiple\"\r\n  accept=\"{{accept}}\" style=\"display:none;\"/>\r\n  <div *ngIf=\"error\"><span  [innerHTML]=\"error\"></span></div>\r\n</div>",
            animations: [
                trigger("fadeInOut", [
                    state("in", style({ opacity: 100 })),
                    transition("* => void", [animate(300, style({ opacity: 0 }))]),
                ]),
            ],
            styles: [".file-cnt{display:flex;width:65%;border-radius:3px;padding:12px;border:1px solid #e4e5e6;cursor:pointer;background-color:#f8f8f8}.file-side-cont{display:flex;width:100%;border:1px dashed #d7d7d7;border-radius:3px;background-color:#fff;padding:12px}.crop-icn{width:40px}.file-active{border:1px dashed #00f!important}.img-bdr{box-sizing:border-box;border:1px solid #d7d7d7;border-radius:3px;background-color:#fff;width:32px;height:32px}.img-bdr-edit{box-sizing:border-box;border-radius:3px;background-color:#fff;width:32px;height:32px}.url-down{display:flex;padding-right:20px;padding-top:22px}.icn-down-pos{position:absolute;right:10px;bottom:20px;top:175px;z-index:1}.icn-down-crop{position:absolute;right:60px;bottom:20px;top:175px;z-index:1}.icn-down-crop-pro{position:absolute;z-index:1;bottom:20px;right:40px}.file-cnt-image{width:486px;border:1px solid #e4e5e6;border-radius:3px;background-color:#f8f8f8;position:relative;cursor:pointer}.file-height{height:480px}.file-flx{display:flex;justify-content:center}.main-file-drop{width:265px;border-radius:3px;border:1px solid #e4e5e6;background-color:#d8d8d8;position:relative;cursor:pointer;height:330px;margin:10px 0}.img-txt-image{padding-top:12px}.break-txt{word-break:break-all;width:201px;text-align:center!important}.image-cnt-new{vertical-align:middle;margin:0 -50% 0 0;position:absolute;top:51%;left:50%;transform:translate(-50%,-50%)}.img-ic{border-radius:3px;padding:10px;align-items:center;display:flex}.img-ic-new{align-items:center;display:flex;padding-top:10px}.url-img{height:335px;width:466px;-o-object-fit:cover;object-fit:cover}.url-img-port{height:330px;width:266px;-o-object-fit:cover;object-fit:cover}.change-btn{display:flex;align-items:center;padding-right:12px}.img-new-cnt{flex:1;padding:12px}.text-msg-image{color:#9b9b9b;font-family:Poppins;font-size:12px;text-align:left;padding-left:10px}.file-btn-image{position:absolute;bottom:-40px;left:50%;transform:translate(-50%,-50%);width:96%;background:#fff;display:flex;justify-content:space-around}.inner-cnt{height:332px;border:1px dashed #d7d7d7;border-radius:3px;background-color:#fff;margin:10px}.inner-cnt-prot{border:1px dashed #d7d7d7;border-radius:3px;background-color:#fff;height:328px}.file-change{color:#5c6bdd!important;font-size:12px!important}.image-cnt{vertical-align:middle;margin:0 -50% 0 0;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.file-image-height{top:37.8%}.img-txt{padding-left:24px;padding-top:10px}.txt-cnt{color:#61636a;font-family:Poppins;font-size:16px;text-align:center;text-overflow:ellipsis;max-width:275px;overflow:auto}.txt-cnt-left{color:#41434c;font-family:Poppins;font-size:12px;text-align:left;text-overflow:ellipsis;max-width:275px;overflow:auto}.txt-cnt-image{color:#41434c;font-family:Poppins;font-size:12px;text-overflow:ellipsis;max-width:275px;overflow:auto;text-align:left}.txt-msg{color:#9b9b9b;font-family:Poppins;font-size:12px;text-align:left;width:275px}.pad-12{padding-top:12px}.txt-msg-cn{text-align:center;color:#9b9b9b;font-family:Poppins;font-size:12px;width:275px}.txt-msg-image{color:#9b9b9b;font-family:Poppins;font-size:12px;text-align:left;width:275px}"]
        })
    ], FileUploadComponent);
    return FileUploadComponent;
}());
var FileUploadModel = /** @class */ (function () {
    function FileUploadModel() {
    }
    return FileUploadModel;
}());

var ButtonRoundedComponent = /** @class */ (function () {
    function ButtonRoundedComponent() {
        this.clicked = new EventEmitter();
    }
    ButtonRoundedComponent.prototype.ngOnInit = function () {
        this.theme = this.theme ? this.theme : 'primary';
    };
    ButtonRoundedComponent.prototype.clickedButton = function (event) {
        this.clicked.emit(event);
    };
    __decorate([
        Input()
    ], ButtonRoundedComponent.prototype, "showProgress", void 0);
    __decorate([
        Input()
    ], ButtonRoundedComponent.prototype, "isContained", void 0);
    __decorate([
        Input()
    ], ButtonRoundedComponent.prototype, "focused", void 0);
    __decorate([
        Input()
    ], ButtonRoundedComponent.prototype, "isStroked", void 0);
    __decorate([
        Input()
    ], ButtonRoundedComponent.prototype, "theme", void 0);
    __decorate([
        Input()
    ], ButtonRoundedComponent.prototype, "shouldBeDisabled", void 0);
    __decorate([
        Input()
    ], ButtonRoundedComponent.prototype, "showIcon", void 0);
    __decorate([
        Output()
    ], ButtonRoundedComponent.prototype, "clicked", void 0);
    ButtonRoundedComponent = __decorate([
        Component({
            selector: 'nitrozen-button-rounded',
            template: "<div class=\"primary-theme\" [ngClass]=\"{\r\n    'primary-section': theme === 'primary' ,\r\n    'secondary-section': theme === 'accent'\r\n  }\">\r\n\t<button mat-button   class=\"btn-nitrozen\" \r\n[ngClass]=\"{\r\n    'mat-stroked-button': isStroked,\r\n    'mat-flat-button':isContained,\r\n    'btn-focused':focused,\r\n    'hover-state':showProgress\r\n  }\"\r\n  [disabled]=\"shouldBeDisabled\"\r\n  (click)=\"clickedButton($event)\"\r\n\r\n>\r\n\r\n<div class=\"btn-icon-show\">\r\n  <span class=\"btn-txt\" \r\n  [ngClass]=\"{\r\n    'btn-show-icn': showIcon,\r\n    'btn-stroke-color':isStroked,\r\n    'btn-contained-color':isContained,\r\n    'btn-progress': !showProgress,\r\n    'btn-notprogress' : showProgress\r\n  }\">\r\n    <ng-content></ng-content>\r\n  </span>\r\n\r\n  <div class=\"btn-spin\" [ngClass]=\"{\r\n    'btn-spin-stroke': isStroked,\r\n    'btn-spin-contained':isContained,\r\n    'btn-progress': !showProgress,\r\n    'btn-notprogress' : showProgress\r\n  }\" *ngIf=\"showIcon\">\r\n  <img src=\"./../../assets/icons/Bag_Icon.svg\">\r\n</div>\r\n <div class=\"btn-spin fx-wt\" [ngClass]=\"{\r\n    'btn-spin-stroke': isStroked,\r\n    'btn-spin-contained':isContained,\r\n    'btn-notprogress': !showProgress,\r\n    'btn-progress' : showProgress\r\n  }\" *ngIf=\"!shouldBeDisabled\">\r\n  <img *ngIf=\"isContained\" class=\"btn-spinner\" style=\"width: 40px;\" src=\"../../../assets/icons/loader-white-1.gif\">\r\n  <img *ngIf=\"isStroked && theme === 'primary'\" class=\"btn-spinner\" style=\"width: 40px;\" src=\"../../../assets/icons/loader-blue.gif\">\r\n  <img *ngIf=\"isStroked && theme === 'accent'\" class=\"btn-spinner\" style=\"width: 40px;\" src=\"../../../assets/icons/loader-blue.gif\">\r\n  <!-- <mat-progress-spinner\r\n    class=\"btn-spinner\"\r\n    [ngClass]=\"{'c-button__spinner--active': showProgress && !shouldBeDisabled}\"\r\n    diameter=\"21\"\r\n    mode=\"indeterminate\"\r\n  ></mat-progress-spinner> -->\r\n</div>\r\n</div>\r\n\r\n\r\n<!-- <span class=\"btn-txt\" *ngIf=\"!showProgress && !showIcon\">\r\n    <ng-content></ng-content>\r\n  </span> -->\r\n\r\n \r\n</button>\r\n\r\n\r\n</div>\r\n",
            styles: [".btn-nitrozen{height:40px;border-radius:21px;padding:0 32px;outline:0;cursor:pointer}.hover-state{pointer-events:none}.btn-notprogress{opacity:0;transition:opacity .25s ease-out;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}.btn-progress{opacity:1}.fx-wt{width:66.38px}.primary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#36cc9b;text-underline-position:under}.primary-section .mat-flat-button{background-color:#36cc9b}.primary-section .mat-flat-button:hover:not([disabled]){background-color:#2eb589}.primary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .mat-stroked-button{border:1px solid #36cc9b!important}.primary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(79,94,204,.12)}.primary-section .mat-stroked-button:focus{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.primary-section .btn-spin-stroke .mat-spinner circle,.primary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#5c6bdd}.primary-section .btn-spin-contained .mat-spinner circle,.primary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.primary-section .mat-flat-button:disabled,.primary-section .mat-flat-button[disabled=disabled]{background-color:rgba(54,204,155,.4)!important}.primary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.primary-section .btn-stroke-color{color:#5c6bdd}.primary-section .btn-contained-color{color:#fff}.primary-section .btn-spinner{text-align:center}.primary-section .btn-spin{display:flex;justify-content:center}.primary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#5c6bdd}.primary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.primary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.primary-section .btn-show-icn{padding-left:10px}.primary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}.secondary-section .mat-flat-button.btn-focused{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button.btn-focused{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .mat-flat-button{background-color:#5c6bdd}.secondary-section .mat-flat-button:hover:not([disabled]){background-color:#4f5ecc}.secondary-section .mat-flat-button:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .mat-stroked-button{border:1px solid #5c6bdd}.secondary-section .mat-stroked-button:hover:not([disabled]){background-color:rgba(79,94,204,.12)}.secondary-section .mat-stroked-button:focus{text-decoration:underline;color:#5c6bdd;text-underline-position:under}.secondary-section .btn-spin-stroke .mat-spinner circle,.secondary-section .btn-spin-stroke ::ng-deep .mat-progress-spinner circle{stroke:#5c6bdd}.secondary-section .btn-spin-contained .mat-spinner circle,.secondary-section .btn-spin-contained ::ng-deep .mat-progress-spinner circle{stroke:#fff}.secondary-section .mat-flat-button:disabled,.secondary-section .mat-flat-button[disabled=disabled]{background-color:rgba(92,107,221,.4)!important}.secondary-section .mat-stroked-button:disabled .btn-stroke-color,.secondary-section .mat-stroked-button[disabled=disabled] .btn-stroke-color{color:rgba(92,107,221,.4)!important}.secondary-section .btn-txt{font-family:Poppins;font-size:16px;font-weight:700;line-height:25px;text-align:center}.secondary-section .btn-stroke-color{color:#5c6bdd}.secondary-section .btn-contained-color{color:#fff}.secondary-section .btn-spinner{text-align:center}.secondary-section .btn-spin{display:flex;justify-content:center}.secondary-section .btn-fynd-icon{height:48px;width:190px;border-radius:3px;background-color:#5c6bdd}.secondary-section .btn-fynd-icon:hover:not([disabled]){background-color:#2eb589}.secondary-section .btn-fynd-icon:focus{text-decoration:underline;color:#fff;text-underline-position:under}.secondary-section .btn-show-icn{padding-left:10px}.secondary-section .btn-icon-show{display:flex;flex-direction:row-reverse;justify-content:center}"]
        })
    ], ButtonRoundedComponent);
    return ButtonRoundedComponent;
}());

var ButtonRoundedModule = /** @class */ (function () {
    function ButtonRoundedModule() {
    }
    ButtonRoundedModule = __decorate([
        NgModule({
            declarations: [ButtonRoundedComponent],
            imports: [CommonModule, MatButtonModule, MatProgressSpinnerModule],
            exports: [ButtonRoundedComponent, MatButtonModule, MatProgressSpinnerModule],
        })
    ], ButtonRoundedModule);
    return ButtonRoundedModule;
}());

var DragDropDirective = /** @class */ (function () {
    function DragDropDirective() {
        this.onFileDropped = new EventEmitter();
    }
    // @HostBinding('style.background-color') private background = '#f5fcff'
    // @HostBinding('style.opacity') private opacity = '1'
    //Dragover listener
    DragDropDirective.prototype.onDragOver = function (evt) {
        evt.preventDefault();
        evt.stopPropagation();
        // this.background = '#9ecbec';
        // this.opacity = '0.8'
    };
    //Dragleave listener
    DragDropDirective.prototype.onDragLeave = function (evt) {
        evt.preventDefault();
        evt.stopPropagation();
        // this.background = '#f5fcff'
        // this.opacity = '1'
    };
    //Drop listener
    DragDropDirective.prototype.ondrop = function (evt) {
        evt.preventDefault();
        evt.stopPropagation();
        // this.background = '#f5fcff'
        // this.opacity = '1'
        var files = evt.dataTransfer.files;
        if (files.length > 0) {
            this.onFileDropped.emit(files);
        }
    };
    __decorate([
        Output()
    ], DragDropDirective.prototype, "onFileDropped", void 0);
    __decorate([
        HostListener('dragover', ['$event'])
    ], DragDropDirective.prototype, "onDragOver", null);
    __decorate([
        HostListener('dragleave', ['$event'])
    ], DragDropDirective.prototype, "onDragLeave", null);
    __decorate([
        HostListener('drop', ['$event'])
    ], DragDropDirective.prototype, "ondrop", null);
    DragDropDirective = __decorate([
        Directive({
            selector: '[appDragDrop]'
        })
    ], DragDropDirective);
    return DragDropDirective;
}());

var FileUploadModule = /** @class */ (function () {
    function FileUploadModule() {
    }
    FileUploadModule = __decorate([
        NgModule({
            declarations: [FileUploadComponent, DragDropDirective, CropModalComponent],
            imports: [
                CommonModule,
                MatButtonModule,
                ButtonTextModule,
                ButtonModule,
                ButtonRoundedModule,
                MatProgressSpinnerModule,
                MatProgressBarModule,
                ImageCropperModule,
                MatIconModule,
            ],
            exports: [
                FileUploadComponent,
                MatButtonModule,
                MatProgressSpinnerModule,
                MatProgressBarModule,
                MatIconModule,
            ],
            entryComponents: [CropModalComponent],
        })
    ], FileUploadModule);
    return FileUploadModule;
}());

var SideMenuComponent = /** @class */ (function () {
    function SideMenuComponent(location, router) {
        this.router = router;
        this.isMenuOpen = true;
        this.isExpanded = false;
        this.showNewTab = true;
        this.signout = new EventEmitter();
        this.childIcon = true;
        this.gender = "any";
        this.menu = {};
        this.currentTab = 0;
        this.lastIndex = 0;
    }
    SideMenuComponent.prototype.ngOnInit = function () {
        for (var i = 0; i < this.menuItems.length; i++) {
            this.menu[i] = false;
        }
        this.lastIndex = Number(localStorage.getItem("lastIndex"));
    };
    SideMenuComponent.prototype.onItemSelected = function (item) {
        this.router.navigate([item.path]);
        if (item.tabs && item.tabs.length) {
            this.isExpanded = !this.isExpanded;
        }
    };
    SideMenuComponent.prototype.onClickItem = function (item, i) {
        if (this.currentTab !== i) {
            this.menu[this.currentTab] = false;
            this.menu[i] = true;
            this.currentTab = i;
        }
        else {
            this.currentTab = i;
            this.menu[i] = true;
        }
        localStorage.setItem("lastIndex", String(this.currentTab));
    };
    SideMenuComponent.prototype.onChildClickItem = function (child, i) {
        this.router.navigate([child.path], { queryParamsHandling: "merge" });
    };
    SideMenuComponent.prototype.newTabClick = function (event, child) {
        event.stopPropagation();
        var url = window.origin + "/" + child.path + window.location.search;
        window.open(url, "_blank");
    };
    SideMenuComponent.prototype.logout = function () {
        this.signout.emit();
    };
    SideMenuComponent.ctorParameters = function () { return [
        { type: Location },
        { type: Router }
    ]; };
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "item", void 0);
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "menuItems", void 0);
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "profilePic", void 0);
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "profileName", void 0);
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "showNewTab", void 0);
    __decorate([
        Output()
    ], SideMenuComponent.prototype, "signout", void 0);
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "childIcon", void 0);
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "mobileNumber", void 0);
    __decorate([
        Input()
    ], SideMenuComponent.prototype, "gender", void 0);
    SideMenuComponent = __decorate([
        Component({
            selector: "nitrozen-side-menu",
            template: "<div class=\"profile-info\">\r\n  <img\r\n    class=\"profile-pic\"\r\n    src=\"../../../assets/icons/profile_pic.png\"\r\n    *ngIf=\"!profilePic && gender === 'any'\"\r\n  />\r\n  <img\r\n    class=\"profile-pic\"\r\n    src=\"../../../assets/icons/man.png\"\r\n    *ngIf=\"!profilePic && gender === 'male'\"\r\n  />\r\n  <img\r\n    class=\"profile-pic\"\r\n    src=\"../../../assets/icons/girl.png\"\r\n    *ngIf=\"!profilePic && gender === 'female'\"\r\n  />\r\n  <img class=\"profile-pic\" [src]=\"profilePic\" *ngIf=\"profilePic\" />\r\n  <div class=\"profile-name\">\r\n    <span *ngIf=\"!profileName\" matTooltip=\"Profile name\">Profile Name</span>\r\n    <span *ngIf=\"profileName\" [matTooltip]=\"profileName\">{{\r\n      profileName\r\n    }}</span>\r\n    <div *ngIf=\"mobileNumber\" matTooltip=\"Mobile Number\" class=\"mobile-number\">\r\n      {{ mobileNumber }}\r\n    </div>\r\n  </div>\r\n</div>\r\n<hr class=\"horizonal-line\" />\r\n<mat-nav-list>\r\n  <mat-accordion>\r\n    <mat-expansion-panel\r\n      class=\"mat-elevation-z0\"\r\n      *ngFor=\"let item of menuItems; index as i\"\r\n      [attr.id]=\"i\"\r\n      [expanded]=\"i === lastIndex\"\r\n    >\r\n      <mat-expansion-panel-header\r\n        (click)=\"onClickItem(item, i)\"\r\n        *ngIf=\"item.tabs && item.tabs.length\"\r\n        [ngClass]=\"{ openpanel: menu[i] }\"\r\n        [collapsedHeight]=\"'48px'\"\r\n        [expandedHeight]=\"'48px'\"\r\n      >\r\n        <mat-panel-title>\r\n          <div\r\n            class=\"panel-title\"\r\n            [ngClass]=\"{\r\n              active: menu[i],\r\n              'active-header': menu[i]\r\n            }\"\r\n          >\r\n            <mat-icon *ngIf=\"item.icon\" class=\"routeImage\">{{\r\n              item.icon\r\n            }}</mat-icon>\r\n            <img [src]=\"item.image\" class=\"routeImage\" *ngIf=\"item.image\" />\r\n            <span>{{ item.name || item.header }}</span>\r\n          </div>\r\n        </mat-panel-title>\r\n      </mat-expansion-panel-header>\r\n      <span *ngFor=\"let child of item.tabs\">\r\n        <mat-list-item\r\n          [disableRipple]=\"true\"\r\n          *ngIf=\"!child.hide\"\r\n          [disabled]=\"child.disabled\"\r\n          (click)=\"onChildClickItem(child, i)\"\r\n        >\r\n          <div\r\n            class=\"panel-title\"\r\n            [ngClass]=\"{\r\n              active: child.path ? router.isActive(child.path, true) : false,\r\n              disabled: child.disabled,\r\n              childMargin: !childIcon || !child.icon\r\n            }\"\r\n            *ngIf=\"child.path\"\r\n          >\r\n            <mat-icon *ngIf=\"child.icon && childIcon\" class=\"routeImage\">{{\r\n              child.icon\r\n            }}</mat-icon>\r\n            <img [src]=\"child.image\" class=\"routeImage\" *ngIf=\"child.image\" />\r\n            <span style=\"margin-left: 2px;\">{{\r\n              child.name || child.header\r\n            }}</span>\r\n            <div\r\n              class=\"launch-icon\"\r\n              *ngIf=\"showNewTab\"\r\n              matTooltip=\"open in new tab\"\r\n              (click)=\"newTabClick($event, child)\"\r\n            >\r\n              <mat-icon>launch</mat-icon>\r\n            </div>\r\n          </div>\r\n          <!-- <a\r\n            class=\"panel-title\"\r\n            style=\"margin-left: 19px;\"\r\n            [href]=\"child.link\"\r\n            target=\"_blank\"\r\n            *ngIf=\"!child.path\"\r\n            >{{ child.name || child.header }}\r\n            <mat-icon *ngIf=\"!child.path\">{{ child.icon }}</mat-icon></a\r\n          > -->\r\n        </mat-list-item>\r\n      </span>\r\n    </mat-expansion-panel>\r\n  </mat-accordion>\r\n</mat-nav-list>\r\n<hr class=\"horizonal-line\" />\r\n<div class=\"footer-info\">\r\n  <div class=\"signout-button\" (click)=\"logout()\">\r\n    <span class=\"btn-text\">Sign Out</span>\r\n  </div>\r\n  <div class=\"fynd-powered\">\r\n    <img class=\"logo-grey\" src=\"../../../assets/icons/fynd_logo.png\" />\r\n    <div class=\"fynd-text\">\r\n      <span class=\"logo-font\">Powered by Fynd</span>\r\n      <span class=\"logo-font-sub-text\">Truly Omnichannel</span>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<!-- <mat-list-item\r\n        (click)=\"onClickItem(item)\"\r\n        [disableRipple]=\"true\"\r\n        *ngIf=\"!item.tabs\"\r\n      >\r\n        <div\r\n          class=\"panel-title\"\r\n          [ngClass]=\"{\r\n            active: item.path ? router.isActive(item.path, true) : false\r\n          }\"\r\n        >\r\n          <mat-icon *ngIf=\"item.icon\" style=\"margin-right: 15px;\">{{\r\n            item.icon\r\n          }}</mat-icon>\r\n          <img\r\n            [src]=\"item.image\"\r\n            class=\"routeImage\"\r\n            *ngIf=\"item.image\"\r\n            style=\"margin-right: 15px;\"\r\n          />\r\n          {{ item.name || item.header }}\r\n        </div>\r\n      </mat-list-item> -->\r\n",
            animations: [
                trigger("indicatorRotate", [
                    state("collapsed", style({ transform: "rotate(0deg)" })),
                    state("expanded", style({ transform: "rotate(180deg)" })),
                    transition("expanded <=> collapsed", animate("225ms cubic-bezier(0.4,0.0,0.2,1)")),
                ]),
            ],
            styles: [".active{color:#5c6bdd!important;font-family:Poppins!important;font-size:14px!important}.childMargin{margin-left:40px!important}.active-header{font-weight:700}.openpanel{background-color:rgba(92,107,221,.12)!important}.panel-title{display:flex;align-items:center;width:100%}.panel-title .launch-icon{display:none;margin-left:auto;justify-self:center}.panel-title:hover .routeImage,.panel-title:hover span{color:#5c6bdd}.panel-title:hover .launch-icon{color:gray;display:flex;height:24px;width:24px}.panel-title:hover .launch-icon:hover{color:#5c6bdd}.routeImage{height:24px;width:24px;margin-right:15px}.profile-info{display:flex;flex-direction:column;align-items:center;justify-content:center;min-height:134px;line-height:1;background-color:#fff}.profile-info .mobile-number{font-size:14px}.profile-info .profile{text-align:center}.profile-info .profile-pic{height:44px;width:44px}.profile-info .profile-name{width:200px;overflow:hidden;text-overflow:ellipsis;text-align:center}.profile-info .profile-name span{color:#41434c;font-family:Poppins;font-size:16px;font-weight:700;letter-spacing:0;line-height:35px}.footer-info{min-height:134px;background-color:#fff}.horizonal-line{border:1px solid #e4e5e6;margin:0!important}.signout-button{display:flex;flex-flow:row-reverse}.signout-button :hover{cursor:pointer;text-decoration:underline}.signout-button .btn-text{color:#5c6bdd;font-size:12px;line-height:18px;padding-top:15px;padding-right:16px}.fynd-powered{margin-top:30px;padding-left:18px;display:flex;align-items:center}.fynd-powered .logo-grey{-webkit-filter:grayscale(100%);filter:grayscale(100%);height:30px;width:30px}.fynd-powered .logo-font{color:#9b9b9b;font-weight:700;font-size:12px}.fynd-powered .logo-font-sub-text{color:#9b9b9b;font-weight:700;font-size:8px}.fynd-powered .fynd-text{display:flex;flex-direction:column;line-height:1.3;margin-left:4px}::ng-deep.mat-list-base{padding-top:0!important}::ng-deep.mat-expansion-panel-header{font-family:Poppins!important;font-size:14px!important;color:#4d4d4e!important;padding:0 18px!important}::ng-deep.mat-expansion-panel-header:hover{background-color:rgba(92,107,221,.12)!important}::ng-deep.mat-panel-title{font-weight:700!important}::ng-deep.mat-expansion-panel-spacing{margin:0!important}::ng-deep .mat-expansion-panel-body{padding:0!important}::ng-deep .mat-list-item-content{font-family:Poppins!important;font-size:14px!important;color:#4d4d4e!important}::ng-deep .mat-list-item-content:hover{background-color:rgba(92,107,221,.12)!important}::ng-deep .mat-drawer-inner-container{overflow-x:hidden;overflow-y:scroll;-ms-overflow-style:none;overflow:-moz-scrollbars-none}::ng-deep .mat-drawer-inner-container::-webkit-scrollbar{display:none}.hide{display:none!important}"]
        })
    ], SideMenuComponent);
    return SideMenuComponent;
}());

var SideMenuModule = /** @class */ (function () {
    function SideMenuModule() {
    }
    SideMenuModule = __decorate([
        NgModule({
            declarations: [SideMenuComponent],
            imports: [
                CommonModule,
                MatListModule,
                MatExpansionModule,
                MatSidenavModule,
                MatIconModule,
                MatTooltipModule,
            ],
            exports: [
                SideMenuComponent,
                MatListModule,
                MatExpansionModule,
                MatSidenavModule,
                MatIconModule,
                MatTooltipModule,
            ],
        })
    ], SideMenuModule);
    return SideMenuModule;
}());

var dateRangePickerAnimation = [
    trigger("drpAnim", [
        state("in", style({ opacity: 0 })),
        transition(":leave", [
            style({ opacity: 1 }),
            animate("200ms ease-in", style({ opacity: "0" })),
        ]),
        transition(":enter", [
            style({ opacity: 0 }),
            animate("200ms ease-in", style({ opacity: "1" })),
        ]),
    ]),
];

var DateRangePickerComponent = /** @class */ (function () {
    function DateRangePickerComponent() {
        this.date = new Date();
        this.onDateChange = new EventEmitter();
        this.startDate = null;
        this.endDate = null;
        this.format = "DD/MM/YYYY";
        this.disabled = false;
        this.showCalOptions = true;
        this.showTimePicker = false;
        this.fromMin = new Date(this.date.getFullYear() - 30, this.date.getMonth(), 1);
        this.fromMax = new Date(this.date.getFullYear(), this.date.getMonth(), this.date.getDate());
        this.toMin = new Date(this.date.getFullYear() - 10, this.date.getMonth(), 1);
        this.toMax = new Date(this.date.getFullYear() + 10, this.date.getMonth(), this.date.getDate() + 5);
        this.startDateTime = "";
        this.endDateTime = "";
        this.right = false;
        this.bottom = false;
        this.weekDays = ["S", "M", "T", "W", "T", "F", "S"];
        this.daysArr = [];
        this.years = [];
        this.months = [
            "January",
            "February",
            "March",
            "April",
            "May",
            "June",
            "July",
            "August",
            "September",
            "October",
            "November",
            "December",
        ];
        this.options = [
            {
                id: 0,
                name: "Yesterday",
                startDate: moment(this.date).subtract(1, "days"),
                endDate: moment(this.date).subtract(0, "days"),
            },
            {
                id: 1,
                name: "Last 7 Days",
                startDate: moment(this.date).subtract(7, "days"),
                endDate: moment(this.date).subtract(0, "days"),
            },
            {
                id: 2,
                name: "Last 30 Days",
                startDate: moment(this.date).subtract(30, "days"),
                endDate: moment(this.date).subtract(0, "days"),
            },
            {
                id: 3,
                name: "This Month",
                startDate: moment(this.date).startOf("month"),
                endDate: moment(this.date).endOf("month"),
            },
            {
                id: 4,
                name: "Last Month",
                startDate: moment(this.date).subtract(1, "month").startOf("month"),
                endDate: moment(this.date).subtract(1, "month").endOf("month"),
            },
            {
                id: 5,
                name: "Last 3 Months",
                startDate: moment(this.date).subtract(3, "month"),
                endDate: moment(this.date).subtract(0, "days"),
            },
        ];
        this.currentTime = moment().format("LT");
        this.showDrp = false;
        this.isMonthChanged = false;
        this.isYearChanged = false;
        this.disablePrevious = false;
        this.disableNext = false;
        this.startDateCalendar = false;
        this.endDateCalendar = false;
        this.startDatePlaceholder = "11/07/2020";
        this.endDatePlaceholder = "12/07/2020";
        this.meridiem = ["AM", "PM"];
        this.isMeridiemChanged = false;
        this.animationState = "in";
        this.mmmDDYYYYFormat = false;
    }
    DateRangePickerComponent.prototype.onClickedOutside = function (e) {
        if (!this.isMonthChanged &&
            !this.isYearChanged &&
            !this.isMeridiemChanged) {
            this.showDrp = false;
            this.animationState = "in";
        }
    };
    DateRangePickerComponent.prototype.ngOnInit = function () {
        var _this = this;
        if (this.format == "MMM DD, YYYY") {
            this.mmmDDYYYYFormat = true;
            this.startDatePlaceholder = "Dec 06, 2020";
            this.endDatePlaceholder = "Dec 07, 2020";
        }
        this.startDateCalendar = true;
        this.generateYearsArr(this.fromMin.getFullYear(), this.fromMax.getFullYear());
        this.daysArr = this.createCalendar(this.date);
        //set current date month and year
        this.selectedMonth = this.months.filter(function (m) { return m == moment(_this.date).format("MMMM"); })[0];
        this.selectedYear = this.years.filter(function (y) { return y == moment(_this.date).format("YYYY"); })[0];
        if (this.startDateTime && this.endDateTime) {
            this.startDateHours = this.startDateTime.substr(0, this.startDateTime.indexOf(":"));
            this.startDateMinutes = this.startDateTime.substr(this.startDateTime.indexOf(":") + 1, 2);
            this.startDateMeridiem = this.startDateTime.substr(this.startDateTime.indexOf(" ") + 1, this.startDateTime.length);
            this.endDateHours = this.endDateTime.substr(0, this.endDateTime.indexOf(":"));
            this.endDateMinutes = this.endDateTime.substr(this.endDateTime.indexOf(":") + 1, 2);
            this.endDateMeridiem = this.endDateTime.substr(this.endDateTime.indexOf(" ") + 1, this.endDateTime.length);
            this.startDate = moment(this.startDate)
                .set("hour", this.startDateHours)
                .set("minute", this.startDateMinutes);
            this.endDate = moment(this.endDate)
                .set("hour", this.endDateHours)
                .set("minute", this.endDateMinutes);
        }
        //set start and end date
        if (this.startDate && this.endDate) {
            this.startDateCalendar = false;
            this.endDateCalendar = true;
            this.generateYearsArr(this.toMin.getFullYear(), this.toMax.getFullYear());
            this.startDate = moment(this.startDate, "DD/MM/YYYY").format(this.format);
            this.endDate = moment(this.endDate, "DD/MM/YYYY").format(this.format);
            var startDateFormatted = moment(this.startDate, this.format).toDate();
            var endDateFormatted_1 = moment(this.endDate, this.format).toDate();
            this.daysArr = this.createCalendar(endDateFormatted_1);
            this.date = endDateFormatted_1;
            this.selectedMonth = this.months.filter(function (m) { return m == moment(endDateFormatted_1).format("MMMM"); })[0];
            this.selectedYear = this.years.filter(function (y) { return y == moment(endDateFormatted_1).format("YYYY"); })[0];
            this.setStartAndEndDate(startDateFormatted, endDateFormatted_1, this.daysArr);
        }
    };
    DateRangePickerComponent.prototype.generateYearsArr = function (startYear, endYear) {
        var tempArr = [];
        for (var i = parseInt(startYear); i <= parseInt(endYear); i++) {
            tempArr.push(i);
        }
        this.years = tempArr;
    };
    DateRangePickerComponent.prototype.createCalendar = function (date) {
        //get first day of month
        var firstDay = moment(date).startOf("M");
        var daysInMonth = new Date(date.getFullYear(), date.getMonth() + 1, 0).getDate();
        //create days array of current month
        var days = Array.apply(null, { length: daysInMonth })
            .map(Number.call, Number)
            .map(function (m) {
            return moment(firstDay).add(m, "d");
        });
        //map each date to correct weekday
        for (var i = 0; i < firstDay.weekday(); i++) {
            days.unshift(null);
        }
        return days;
    };
    DateRangePickerComponent.prototype.setStartAndEndDate = function (startDate, endDate, daysArr) {
        for (var i = 0; i < daysArr.length; i++) {
            if (daysArr[i] != null) {
                var day = daysArr[i]["_d"];
                if (day.getDate() == startDate.getDate() &&
                    day.getMonth() == startDate.getMonth() &&
                    day.getFullYear() == startDate.getFullYear()) {
                    this.startDateSelected = i;
                }
                if (day.getDate() == endDate.getDate() &&
                    day.getMonth() == endDate.getMonth() &&
                    day.getFullYear() == endDate.getFullYear()) {
                    this.endDateSelected = i;
                }
            }
        }
        this.setCalendarOption(this.startDate, this.endDate);
    };
    DateRangePickerComponent.prototype.setCurrentDate = function (day) {
        if (!day) {
            return false;
        }
        return moment().format("L") === day.format("L");
    };
    DateRangePickerComponent.prototype.onMonthChange = function (month) {
        this.isMonthChanged = true;
        this.selectedMonth = month;
        for (var i = 0; i < this.months.length; i++) {
            if (this.months[i] == this.selectedMonth) {
                this.selectedMonthID = i;
            }
        }
        //get the first day of selected month and year
        var firstDay = moment([this.selectedYear, this.selectedMonthID, 1]);
        this.date = firstDay["_d"];
        this.daysArr = this.createCalendar(this.date);
        this.optionSelected = null;
        var startDateFormatted = moment(this.startDate, this.format).toDate();
        var endDateFormatted = moment(this.endDate, this.format).toDate();
        if (startDateFormatted != firstDay["_d"]) {
            this.startDateSelected = null;
            this.endDateSelected = null;
        }
        if ((startDateFormatted.getMonth() == this.selectedMonthID &&
            startDateFormatted.getFullYear() == this.selectedYear) ||
            (endDateFormatted.getMonth() == this.selectedMonthID &&
                endDateFormatted.getFullYear() == this.selectedYear)) {
            this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
        }
    };
    DateRangePickerComponent.prototype.onYearChange = function (year) {
        this.isYearChanged = true;
        this.selectedYear = year;
        for (var i = 0; i < this.months.length; i++) {
            if (this.months[i] == this.selectedMonth) {
                this.selectedMonthID = i;
            }
        }
        //get the first day of selected month and year
        var firstDay = moment([this.selectedYear, this.selectedMonthID, 1]);
        this.date = firstDay["_d"];
        this.daysArr = this.createCalendar(this.date);
        this.optionSelected = null;
        var startDateFormatted = moment(this.startDate, this.format).toDate();
        var endDateFormatted = moment(this.endDate, this.format).toDate();
        if (startDateFormatted != firstDay["_d"]) {
            this.startDateSelected = null;
            this.endDateSelected = null;
        }
        if ((startDateFormatted.getMonth() == this.selectedMonthID &&
            startDateFormatted.getFullYear() == this.selectedYear) ||
            (endDateFormatted.getMonth() == this.selectedMonthID &&
                endDateFormatted.getFullYear() == this.selectedYear)) {
            this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
        }
    };
    DateRangePickerComponent.prototype.previousMonth = function () {
        this.disableNext = false;
        //get previous month
        var prevMonth = moment(this.date).subtract(1, "M");
        this.date = prevMonth["_d"];
        this.selectedMonth = moment(this.date).format("MMMM");
        this.selectedYear = parseInt(moment(this.date).format("YYYY"));
        if (!this.months.includes(this.selectedMonth)) {
            this.months.push(this.selectedMonth);
        }
        if (!this.years.includes(this.selectedYear)) {
            this.years.unshift(this.selectedYear);
        }
        this.onMonthChange(this.selectedMonth);
        this.isMonthChanged = false; // check if the month is changed from dropdown
        this.isYearChanged = false; // check if the year is changed from dropdown
        if (this.startDateCalendar) {
            if (this.selectedMonthID == 0 &&
                this.selectedYear == this.fromMin.getFullYear()) {
                this.disablePrevious = true;
                this.disableNext = false;
            }
        }
        if (this.endDateCalendar) {
            if (this.selectedMonthID == 0 &&
                this.selectedYear == this.toMin.getFullYear()) {
                this.disablePrevious = true;
                this.disableNext = false;
            }
        }
    };
    DateRangePickerComponent.prototype.nextMonth = function () {
        this.disablePrevious = false;
        //get next month
        var nexMonth = moment(this.date).add(1, "M");
        this.date = nexMonth["_d"];
        this.selectedMonth = moment(this.date).format("MMMM");
        this.selectedYear = parseInt(moment(this.date).format("YYYY"));
        if (!this.months.includes(this.selectedMonth)) {
            this.months.push(this.selectedMonth);
        }
        if (!this.years.includes(this.selectedYear)) {
            this.years.push(this.selectedYear);
        }
        this.onMonthChange(this.selectedMonth);
        this.isMonthChanged = false; // check if the month is changed from dropdown
        this.isYearChanged = false; // check if the year is changed from dropdown
        if (this.startDateCalendar) {
            if (this.selectedMonthID == 11 &&
                this.selectedYear == this.fromMax.getFullYear()) {
                this.disableNext = true;
                this.disablePrevious = false;
            }
        }
        if (this.endDateCalendar) {
            if (this.selectedMonthID == 11 &&
                this.selectedYear == this.toMax.getFullYear()) {
                this.disableNext = true;
                this.disablePrevious = false;
            }
        }
    };
    DateRangePickerComponent.prototype.startDateCalendarClick = function () {
        var startDateFormatted = moment(this.startDate, this.format).toDate();
        var endDateFormatted = moment(this.endDate, this.format).toDate();
        this.startDateCalendar = true;
        this.endDateCalendar = false;
        this.generateYearsArr(this.fromMin.getFullYear(), this.fromMax.getFullYear());
        if (this.startDate) {
            this.endDateSelected = null;
            this.daysArr = this.createCalendar(startDateFormatted);
            this.date = startDateFormatted;
            this.selectedMonth = this.months.filter(function (m) { return m == moment(startDateFormatted).format("MMMM"); })[0];
            this.selectedYear = this.years.filter(function (y) { return y == moment(startDateFormatted).format("YYYY"); })[0];
        }
        this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
    };
    DateRangePickerComponent.prototype.endDateCalendarClick = function () {
        var startDateFormatted = moment(this.startDate, this.format).toDate();
        var endDateFormatted = moment(this.endDate, this.format).toDate();
        this.endDateCalendar = true;
        this.startDateCalendar = false;
        this.generateYearsArr(this.toMin.getFullYear(), this.toMax.getFullYear());
        if (this.endDate) {
            this.startDateSelected = null;
            this.daysArr = this.createCalendar(endDateFormatted);
            this.date = endDateFormatted;
            this.selectedMonth = this.months.filter(function (m) { return m == moment(endDateFormatted).format("MMMM"); })[0];
            this.selectedYear = this.years.filter(function (y) { return y == moment(endDateFormatted).format("YYYY"); })[0];
            this.setStartAndEndDate(startDateFormatted, endDateFormatted, this.daysArr);
        }
    };
    DateRangePickerComponent.prototype.setDate = function (day) {
        this.optionSelected = null;
        var dayFormatted = moment(day["_d"]).format(this.format);
        if (this.startDateCalendar) {
            this.startDate = dayFormatted;
            this.setStartDate(day);
            if (!this.endDate) {
                this.endDateCalendarClick();
            }
        }
        if (this.endDateCalendar) {
            this.endDate = dayFormatted;
            this.setEndDate(day);
        }
        this.isMonthChanged = false;
        this.isYearChanged = false;
        this.setCalendarOption(this.startDate, this.endDate);
        this.setInputDate();
    };
    DateRangePickerComponent.prototype.setStartDate = function (day) {
        for (var i = 0; i <= this.daysArr.length; i++) {
            if (this.daysArr[i] != null) {
                if (this.daysArr[i] == day) {
                    this.startDateSelected = i;
                }
            }
        }
    };
    DateRangePickerComponent.prototype.setEndDate = function (day) {
        for (var i = 0; i <= this.daysArr.length; i++) {
            if (this.daysArr[i] != null) {
                if (this.daysArr[i] == day) {
                    this.endDateSelected = i;
                }
            }
        }
        var startDate = moment(this.startDate, this.format).toDate();
        var endDate = moment(this.endDate, this.format).toDate();
        this.getAllDates(startDate, endDate);
    };
    DateRangePickerComponent.prototype.getAllDates = function (startDate, endDate) {
        var dateArray = [];
        var currentDate = moment(startDate);
        var stopDate = moment(endDate);
        while (currentDate <= stopDate) {
            dateArray.push(moment(currentDate));
            currentDate = moment(currentDate).add(1, "days");
        }
        return dateArray;
    };
    DateRangePickerComponent.prototype.isSelected = function (day) {
        if (!day) {
            return false;
        }
        var startDateMoment = moment(this.startDate, this.format);
        var endDateMoment = moment(this.endDate, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    };
    DateRangePickerComponent.prototype.isLessThan = function (day) {
        // persisting if end date is less than start date
        if (!day) {
            return false;
        }
        var startDateMoment = moment(this.fromMin, this.format);
        var endDateMoment = moment(this.startDate, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    };
    DateRangePickerComponent.prototype.isGreaterThan = function (day) {
        // persisting if start date is greater than end date
        if (!day) {
            return false;
        }
        var startDateMoment = moment(this.endDate, this.format);
        var endDateMoment = moment(this.fromMax, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    };
    DateRangePickerComponent.prototype.isDisabled = function (day) {
        var disableDateFrom;
        var disableDateTo;
        if (!day) {
            return false;
        }
        if (this.startDateCalendar) {
            var from = moment([
                this.fromMax.getFullYear(),
                this.fromMax.getMonth(),
                this.fromMax.getDate() + 1,
            ]);
            disableDateFrom = moment(moment(from));
            var to = moment([this.fromMax.getFullYear(), 11, 1]);
            disableDateTo = moment(moment(to).endOf("month"));
        }
        if (this.endDateCalendar) {
            var from = moment([
                this.toMax.getFullYear(),
                this.toMax.getMonth(),
                this.toMax.getDate() + 1,
            ]);
            disableDateFrom = moment(moment(from));
            var to = moment([this.toMax.getFullYear(), 11, 1]);
            disableDateTo = moment(moment(to).endOf("month"));
        }
        var startDateMoment = moment(disableDateFrom, this.format);
        var endDateMoment = moment(disableDateTo, this.format);
        return (startDateMoment.isSameOrBefore(day) && endDateMoment.isSameOrAfter(day));
    };
    DateRangePickerComponent.prototype.toggleDateRangePicker = function () {
        this.showDrp = !this.showDrp;
        this.animationState = this.animationState === "out" ? "in" : "out";
    };
    DateRangePickerComponent.prototype.showDateRangePicker = function () {
        this.showDrp = true;
    };
    DateRangePickerComponent.prototype.onCalOptionClick = function (calendarOption) {
        var option = this.options.filter(function (o) { return o.name == calendarOption.target.innerHTML.trim(); })[0];
        this.optionSelected = option.id;
        this.daysArr = this.createCalendar(option.endDate["_d"]);
        this.startDate = moment(option.startDate["_d"]).format(this.format);
        this.endDate = moment(option.endDate["_d"]).format(this.format);
        this.endDateCalendarClick();
        //set startdate and enddate selected
        for (var i = 0; i < this.daysArr.length; i++) {
            if (this.daysArr[i] != null) {
                // if (
                //   this.daysArr[i]["_d"].getDate() === option.startDate["_d"].getDate()
                // ) {
                //   this.startDateSelected = i;
                // }
                if (this.daysArr[i]["_d"].getDate() === option.endDate["_d"].getDate()) {
                    this.endDateSelected = i;
                }
            }
        }
        this.selectedMonth = moment(option.endDate["_d"]).format("MMMM");
        this.selectedYear = moment(option.endDate["_d"]).format("YYYY");
        if (!this.years.includes(this.selectedYear)) {
            this.years.push(this.selectedYear);
        }
        this.setInputDate();
        this.showDrp = false;
        this.animationState = "in";
    };
    DateRangePickerComponent.prototype.setCalendarOption = function (startDate, endDate) {
        var _this = this;
        startDate = moment(startDate, this.format).toDate();
        endDate = moment(endDate, this.format).toDate();
        this.options.forEach(function (o) {
            if (o.startDate["_d"].getDate() == startDate.getDate() &&
                o.startDate["_d"].getMonth() == startDate.getMonth() &&
                o.startDate["_d"].getFullYear() == startDate.getFullYear() &&
                o.endDate["_d"].getDate() == endDate.getDate() &&
                o.endDate["_d"].getMonth() == endDate.getMonth() &&
                o.endDate["_d"].getFullYear() == endDate.getFullYear()) {
                _this.optionSelected = o.id;
            }
        });
    };
    DateRangePickerComponent.prototype.setHours = function (event) {
        var inputValue = event.target.value;
        var maxLength = 2;
        if (inputValue.length > maxLength) {
            inputValue = inputValue.slice(0, maxLength);
            if (this.startDateCalendar) {
                this.startDateHours = inputValue;
                this.startDate = moment(this.startDate).set("hour", this.startDateHours);
            }
            if (this.endDateCalendar) {
                this.endDateHours = inputValue;
                this.endDate = moment(this.endDate).set("hour", this.endDateHours);
            }
        }
    };
    DateRangePickerComponent.prototype.setMinutes = function (event) {
        var inputValue = null;
        inputValue = event.target.value;
        var maxLength = 2;
        if (inputValue.length > maxLength) {
            inputValue = inputValue.slice(0, maxLength);
            if (this.startDateCalendar) {
                this.startDateMinutes = inputValue;
                this.startDate = moment(this.startDate).set("minute", this.startDateMinutes);
            }
            if (this.endDateCalendar) {
                this.endDateMinutes = inputValue;
                this.endDate = moment(this.endDate).set("minute", this.endDateMinutes);
            }
        }
    };
    DateRangePickerComponent.prototype.onMeridiemChange = function (e) {
        this.isMeridiemChanged = true;
    };
    DateRangePickerComponent.prototype.onInput = function (inputValue) {
        //restrict inputLength
        var maxLength = 2;
        if (inputValue.length > maxLength) {
            inputValue = inputValue.slice(0, maxLength);
            if (this.startDateCalendar) {
                this.startDateHours = inputValue;
            }
            if (this.endDateCalendar) {
                this.endDateHours = inputValue;
            }
        }
    };
    DateRangePickerComponent.prototype.setInputDate = function () {
        this.onDateChange.emit({
            startDate: this.startDate,
            endDate: this.endDate,
        });
    };
    __decorate([
        Output()
    ], DateRangePickerComponent.prototype, "onDateChange", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "startDate", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "endDate", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "format", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "disabled", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "showCalOptions", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "showTimePicker", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "fromMin", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "fromMax", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "toMin", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "toMax", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "startDateTime", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "endDateTime", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "right", void 0);
    __decorate([
        Input()
    ], DateRangePickerComponent.prototype, "bottom", void 0);
    DateRangePickerComponent = __decorate([
        Component({
            selector: "nitrozen-date-range-picker",
            template: "<div (clickOutside)=\"onClickedOutside($event)\" class=\"drp-container\">\r\n  <div\r\n    [ngClass]=\"[\r\n      showTimePicker ? 'date-range-time-container' : 'date-range-container',\r\n      mmmDDYYYYFormat ? 'mmmDDYYYYFormatInput' : ''\r\n    ]\"\r\n    (click)=\"toggleDateRangePicker()\"\r\n  >\r\n    <input\r\n      class=\"startDateInput date-input\"\r\n      type=\"text\"\r\n      [placeholder]=\"startDatePlaceholder\"\r\n      [(ngModel)]=\"startDate\"\r\n      readonly\r\n    />\r\n    <div *ngIf=\"showTimePicker\" class=\"time-input\">\r\n      <input\r\n        type=\"text\"\r\n        placeholder=\"11\"\r\n        class=\"hh\"\r\n        [(ngModel)]=\"startDateHours\"\r\n        readonly\r\n      />\r\n      <span>:</span>\r\n      <input\r\n        type=\"text\"\r\n        placeholder=\"20\"\r\n        class=\"mm\"\r\n        [(ngModel)]=\"startDateMinutes\"\r\n        readonly\r\n      />\r\n      <input\r\n        type=\"text\"\r\n        placeholder=\"AM\"\r\n        class=\"meridiem\"\r\n        [(ngModel)]=\"startDateMeridiem\"\r\n      />\r\n    </div>\r\n\r\n    <span>to</span>\r\n    <input\r\n      class=\"endDateInput date-input\"\r\n      type=\"text\"\r\n      [placeholder]=\"endDatePlaceholder\"\r\n      [(ngModel)]=\"endDate\"\r\n      readonly\r\n    />\r\n\r\n    <div *ngIf=\"showTimePicker\" class=\"time-input\">\r\n      <input\r\n        type=\"text\"\r\n        placeholder=\"11\"\r\n        class=\"hh\"\r\n        [(ngModel)]=\"endDateHours\"\r\n        readonly\r\n      />\r\n      <span>:</span>\r\n      <input\r\n        type=\"text\"\r\n        placeholder=\"20\"\r\n        class=\"mm\"\r\n        [(ngModel)]=\"endDateMinutes\"\r\n        readonly\r\n      />\r\n      <input\r\n        type=\"text\"\r\n        placeholder=\"AM\"\r\n        class=\"meridiem\"\r\n        [(ngModel)]=\"endDateMeridiem\"\r\n      />\r\n    </div>\r\n    <span class=\"icon\"\r\n      ><img class=\"cal-icon\" src=\"../../../assets/icons/calendar-line.svg\"\r\n    /></span>\r\n  </div>\r\n\r\n  <div\r\n    [@drpAnim]=\"animationState\"\r\n    class=\"calendar-div\"\r\n    *ngIf=\"showDrp\"\r\n    [ngClass]=\"[\r\n      disabled ? 'isDisabled' : '',\r\n      right ? 'alignRight' : '',\r\n      bottom ? 'alignBottom' : ''\r\n    ]\"\r\n  >\r\n    <div id=\"calendar-container\" class=\"calendar\">\r\n      <div class=\"date-time-display-section\">\r\n        <div\r\n          class=\"date-display-section\"\r\n          [ngClass]=\"[showTimePicker ? 'my-class' : '']\"\r\n        >\r\n          <div\r\n            class=\"from\"\r\n            (click)=\"startDateCalendarClick()\"\r\n            [ngClass]=\"[startDateCalendar ? 'fromActive' : '']\"\r\n          >\r\n            <span>From :</span>\r\n            <input [(ngModel)]=\"startDate\" placeholder=\"11/07/2020\" readonly />\r\n          </div>\r\n          <div\r\n            class=\"to\"\r\n            (click)=\"endDateCalendarClick()\"\r\n            [ngClass]=\"[\r\n              !startDate ? 'not-enabled' : '',\r\n              endDateCalendar ? 'toActive' : ''\r\n            ]\"\r\n          >\r\n            <span>To :</span>\r\n            <input [(ngModel)]=\"endDate\" placeholder=\"11/07/2020\" readonly />\r\n          </div>\r\n        </div>\r\n        <div class=\"time-display-section\" *ngIf=\"showTimePicker\">\r\n          <div\r\n            class=\"from-time\"\r\n            (click)=\"startDateCalendarClick()\"\r\n            [ngClass]=\"[startDateCalendar ? 'fromActive' : '']\"\r\n          >\r\n            <mat-icon>query_builder</mat-icon>\r\n            <!-- <span> : </span> -->\r\n            <div class=\"time-input-container\">\r\n              <input\r\n                type=\"number\"\r\n                placeholder=\"11\"\r\n                min=\"1\"\r\n                max=\"12\"\r\n                maxlength=\"2\"\r\n                (keyup)=\"setHours($event)\"\r\n                [(ngModel)]=\"startDateHours\"\r\n              />\r\n              <span>:</span>\r\n              <input\r\n                type=\"number\"\r\n                name=\"\"\r\n                id=\"\"\r\n                placeholder=\"20\"\r\n                min=\"1\"\r\n                max=\"60\"\r\n                maxlength=\"2\"\r\n                [(ngModel)]=\"startDateMinutes\"\r\n                (keyup)=\"setMinutes($event)\"\r\n              />\r\n              <!-- <input\r\n                type=\"text\"\r\n                placeholder=\"AM\"\r\n                class=\"meridiem\"\r\n                [(ngModel)]=\"startDateMeridiem\"\r\n              /> -->\r\n\r\n              <mat-select\r\n                [(ngModel)]=\"startDateMeridiem\"\r\n                (ngModelChange)=\"onMeridiemChange($event)\"\r\n                class=\"meridiem-class\"\r\n                placeholder=\"AM\"\r\n              >\r\n                <mat-option *ngFor=\"let m of meridiem\" [value]=\"m\">\r\n                  <span class=\"meridiem\">{{ m }}</span>\r\n                </mat-option>\r\n              </mat-select>\r\n            </div>\r\n          </div>\r\n          <div\r\n            class=\"to-time\"\r\n            (click)=\"endDateCalendarClick()\"\r\n            [ngClass]=\"[\r\n              !startDate ? 'not-enabled' : '',\r\n              endDateCalendar ? 'toActive' : ''\r\n            ]\"\r\n          >\r\n            <mat-icon>query_builder</mat-icon>\r\n            <!-- <span> : </span> -->\r\n            <div class=\"time-input-container\">\r\n              <input\r\n                type=\"number\"\r\n                placeholder=\"11\"\r\n                min=\"1\"\r\n                max=\"12\"\r\n                maxlength=\"2\"\r\n                (keyup)=\"setHours($event)\"\r\n                [(ngModel)]=\"endDateHours\"\r\n              />\r\n              <span>:</span>\r\n              <input\r\n                type=\"number\"\r\n                name=\"\"\r\n                id=\"\"\r\n                placeholder=\"20\"\r\n                min=\"1\"\r\n                max=\"60\"\r\n                maxlength=\"2\"\r\n                pattern=\"0?[1-9]|1[0-2]\"\r\n                [(ngModel)]=\"endDateMinutes\"\r\n                (keyup)=\"setMinutes($event)\"\r\n              />\r\n              <!-- <input\r\n                type=\"text\"\r\n                placeholder=\"AM\"\r\n                class=\"meridiem\"\r\n                [(ngModel)]=\"endDateMeridiem\"\r\n              /> -->\r\n\r\n              <mat-select\r\n                [(ngModel)]=\"endDateMeridiem\"\r\n                (ngModelChange)=\"onMeridiemChange($event)\"\r\n                class=\"meridiem-class\"\r\n                placeholder=\"AM\"\r\n              >\r\n                <mat-option *ngFor=\"let m of meridiem\" [value]=\"m\">\r\n                  <span class=\"meridiem\">{{ m }}</span>\r\n                </mat-option>\r\n              </mat-select>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class=\"calendar-month\">\r\n        <mat-icon\r\n          class=\"icons\"\r\n          (click)=\"previousMonth()\"\r\n          [ngClass]=\"disablePrevious ? 'a' : ''\"\r\n          >navigate_before</mat-icon\r\n        >\r\n        <div class=\"select-wrapper\">\r\n          <mat-select\r\n            [(ngModel)]=\"selectedMonth\"\r\n            (ngModelChange)=\"onMonthChange($event)\"\r\n            class=\"month\"\r\n          >\r\n            <mat-option *ngFor=\"let month of months\" [value]=\"month\">\r\n              {{ month }}\r\n            </mat-option>\r\n          </mat-select>\r\n          <mat-select\r\n            [(ngModel)]=\"selectedYear\"\r\n            (ngModelChange)=\"onYearChange($event)\"\r\n            class=\"year\"\r\n          >\r\n            <mat-option *ngFor=\"let year of years\" [value]=\"year\">{{\r\n              year\r\n            }}</mat-option>\r\n          </mat-select>\r\n        </div>\r\n        <mat-icon\r\n          class=\"icons\"\r\n          (click)=\"nextMonth()\"\r\n          [ngClass]=\"disableNext ? 'a' : ''\"\r\n          >navigate_next</mat-icon\r\n        >\r\n      </div>\r\n      <span class=\"space\"></span>\r\n      <div class=\"calendar-top\">\r\n        <div *ngFor=\"let weekday of weekDays\">\r\n          <div class=\"calendar-weekdays\">{{ weekday }}</div>\r\n        </div>\r\n      </div>\r\n      <div class=\"calendar-bottom\">\r\n        <div *ngFor=\"let day of daysArr; let i = index\">\r\n          <div\r\n            class=\"calendar-days\"\r\n            (click)=\"setDate(day)\"\r\n            [ngClass]=\"{\r\n              inactive: !day,\r\n              currentDate: setCurrentDate(day),\r\n              range: isSelected(day),\r\n              endDateLessThan: this.endDateCalendar && isLessThan(day),\r\n              startDateGreaterThan:\r\n                this.startDateCalendar && isGreaterThan(day),\r\n              disableDates: isDisabled(day),\r\n              startDate: i == startDateSelected,\r\n              endDate: i == endDateSelected,\r\n              startDateDisabled: disabled && i == startDateSelected,\r\n              endDateDisabled: disabled && i == endDateSelected\r\n            }\"\r\n          >\r\n            {{ day?.date() }}\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class=\"calendar-options\" *ngIf=\"showCalOptions\">\r\n      <ul\r\n        *ngFor=\"let option of options; let i = index\"\r\n        (click)=\"onCalOptionClick($event)\"\r\n      >\r\n        <li [ngClass]=\"{ optionStyle: i == optionSelected }\">\r\n          {{ option.name }}\r\n        </li>\r\n      </ul>\r\n    </div>\r\n  </div>\r\n</div>\r\n",
            animations: [dateRangePickerAnimation],
            styles: [".drp-container{position:relative}.drp-container .date-range-container{box-sizing:border-box;height:40px;width:245px;border:1px solid #d7d7d7;border-radius:3px;background-color:#fff;display:flex;align-items:center;cursor:pointer!important;position:relative}.drp-container .date-range-container .date-input{font-size:15px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important}.drp-container .date-range-container span{width:20px;display:flex;justify-content:center;align-items:center}.drp-container .date-range-container .cal-icon{margin:5px 5px 5px 0;position:absolute;top:7%;right:0}.drp-container .mmmDDYYYYFormatInput{width:265px}.drp-container .mmmDDYYYYFormatInput .date-input{width:105px}.drp-container .date-range-time-container{box-sizing:border-box;height:40px;width:405px;border:1px solid #d7d7d7;border-radius:3px;background-color:#fff;display:flex;align-items:center;cursor:pointer!important}.drp-container .date-range-time-container .date-input{font-size:15px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important}.drp-container .date-range-time-container .hh,.drp-container .date-range-time-container .mm{font-size:15px;width:16.5px;border:none!important;outline:0!important;text-align:right}.drp-container .date-range-time-container .meridiem{font-size:15px;width:30px;border:none!important;outline:0!important}.drp-container .calendar-div{display:flex;justify-content:space-between;align-items:center;box-shadow:0 8px 24px 0 #dadada;position:absolute;z-index:100;background-color:#fff}.drp-container .calendar-div .calendar{display:flex;flex-direction:column;justify-content:center;align-items:center}.drp-container .calendar-div .calendar .calendar-month{width:100%;display:flex;justify-content:space-between}.drp-container .calendar-div .calendar .space{height:20px}.drp-container .calendar-div .calendar .calendar-top{display:flex;justify-content:center;align-items:center}.drp-container .calendar-div .calendar .calendar-top .calendar-weekdays{color:rgba(0,0,0,.38);font-weight:600}.drp-container .calendar-div .calendar .calendar-bottom{display:flex;flex-wrap:wrap}.drp-container .calendar-div .calendar-options{width:195px;display:flex;flex-direction:column}.drp-container .calendar-div .calendar-options ul{list-style:none;margin:0 0 10px;padding-left:30px}.drp-container .calendar-div .calendar-options ul li{font-size:15px;color:#a4a4a4;cursor:pointer}.drp-container .calendar-div .calendar-options ul li:hover{font-weight:500;color:#5c6bdd!important}.calendars{display:flex;justify-content:space-between;align-items:center}.alignRight{right:0!important}.alignBottom{bottom:103%!important}.calendar-days,.calendar-weekdays{display:flex;justify-content:center;align-items:center;width:30px;height:30px;font-size:12px;font-family:Poppins;margin:4px;cursor:pointer}.calendar-days:hover{border-radius:50%;background-color:rgba(0,0,0,.04)}.calendar-dates{display:flex;flex-wrap:wrap}#calendar-container{width:268px;padding:25px;background-color:#fff}.inactive{opacity:.6}.icons{cursor:pointer}.selected{background-color:orange;opacity:.6}.select:active,select{border:none!important;outline:0!important;width:auto!important}select{-webkit-appearance:none}option{box-shadow:0 8px 24px 0 #dadada!important;height:20px!important;padding:10px!important}.currentDate{border:1px solid #000;border-radius:50%}.endDate,.startDate{background-color:#5c6bdd!important;border-radius:50%;color:#fff;font-weight:600}.range{background-color:rgba(92,107,221,.12)}.disableDates{color:#ccc;pointer-events:none}.date-range-container:active,.date-range-time-container:active{border:1px solid #5c6bdd!important}.time-input{font-family:Poppins;border:none!important;outline:0!important;cursor:pointer!important;display:flex}.date-range-container .date-input{width:95px}.date-range-time-container .date-input{width:90px;margin-left:10px}::-moz-placeholder{color:#a4a4a4}::-ms-input-placeholder{color:#a4a4a4}::placeholder{color:#a4a4a4}.icon{display:flex}.optionStyle{font-weight:500;color:#5c6bdd!important}.select-wrapper{display:flex;justify-content:center;width:100%}.select-wrapper .month{width:102px!important;text-align:right;font-family:Poppins;font-size:14px}.select-wrapper .year{width:65px;font-family:Poppins;font-size:14px}.isDisabled{pointer-events:none!important}.endDateDisabled,.startDateDisabled{opacity:.4}.a{pointer-events:none!important}.date-time-display-section{width:100%}.date-time-display-section .date-display-section{width:100%;display:flex;justify-content:space-between;align-items:center;margin-bottom:20px}.date-time-display-section .my-class{margin-bottom:5px}.date-time-display-section .time-display-section{width:100%;display:flex;justify-content:space-between;align-items:center;margin-bottom:20px}.date-time-display-section .name{display:flex;justify-content:center;font-size:14px;color:#c2c2c2}.calendars .date-display-section div,.calendars .time-display-section div{width:200px;padding:5px 0;cursor:pointer!important}.fromActive,.toActive{color:#5c6bdd;font-weight:600}.to{display:flex;justify-content:flex-end;align-items:center}.date-display-section span,.time-display-section span{font-size:14px;font-family:Poppins;cursor:pointer!important}.date-display-section input{width:68%;font-size:14px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important;background-color:transparent}.time-display-section .time-input-container{width:118px;font-size:14px;font-family:Poppins;border:none!important;outline:0!important;cursor:pointer;text-align:center!important;padding:0!important;background-color:transparent}.from-time .time-input-container{margin-left:8px;display:flex;justify-content:flex-start}.to-time .time-input-container{display:flex;justify-content:flex-end}.time-input-container input{width:20%;border:none!important;outline:0!important;text-align:right}.time-input-container span{margin:0}.time-input-container .meridiem{width:33%;font-weight:400!important}input::-webkit-inner-spin-button,input::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield}.meridiem-class{margin-top:2px;text-align:left;font-weight:400!important}.time-display-section .from-time{display:flex;justify-content:flex-start;align-items:center}.time-display-section .to-time{display:flex;justify-content:flex-end;align-items:center;margin-left:8px}.endDateLessThan,.startDateGreaterThan{pointer-events:none}.not-enabled{color:#c2c2c2;pointer-events:none}"]
        })
    ], DateRangePickerComponent);
    return DateRangePickerComponent;
}());

var DateRangePickerModule = /** @class */ (function () {
    function DateRangePickerModule() {
    }
    DateRangePickerModule = __decorate([
        NgModule({
            declarations: [DateRangePickerComponent],
            imports: [
                CommonModule,
                MatIconModule,
                FormsModule,
                MatSelectModule,
                ClickOutsideModule,
            ],
            exports: [
                DateRangePickerComponent,
                MatIconModule,
                FormsModule,
                MatSelectModule,
                ClickOutsideModule,
            ],
        })
    ], DateRangePickerModule);
    return DateRangePickerModule;
}());

var AutocompleteComponent = /** @class */ (function () {
    function AutocompleteComponent() {
        this.loading = false;
        this.onChange = new EventEmitter();
        this.autocompleteWithImage = false;
        this.defaultImage = "/assets/icons/girl.png";
        this.placeholder = "Select Brand";
        this.myControl = new FormControl();
        this.options = [
            {
                id: 0,
                name: "And",
                image: "",
            },
            {
                id: 1,
                name: "Being Human",
                image: "",
            },
            {
                id: 2,
                name: "Catwalk",
                image: "",
            },
            {
                id: 3,
                name: "Disrupt",
                image: "",
            },
            {
                id: 4,
                name: "Fashion for her",
                image: "",
            },
            {
                id: 5,
                name: "Gee",
                image: "",
            },
            {
                id: 6,
                name: "Red Hat",
                image: "",
            },
            {
                id: 7,
                name: "Red Town",
                image: "",
            },
            {
                id: 8,
                name: "Red at Heart",
                image: "",
            },
            {
                id: 9,
                name: "Red but not blood",
                image: "",
            },
            {
                id: 10,
                name: "Spykar",
                image: "",
            },
        ];
    }
    AutocompleteComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.filteredOptions = this.myControl.valueChanges.pipe(startWith({ name: "" }), map(function (value) { return (typeof value === "string" ? value : value.name); }), map(function (name) { return (name ? _this._filter(name) : _this.options.slice()); }));
    };
    AutocompleteComponent.prototype._filter = function (value) {
        var filterValue = value.toLowerCase();
        this.selected(filterValue);
        return this.options.filter(function (option) {
            return option.name.toLowerCase().includes(filterValue);
        });
    };
    AutocompleteComponent.prototype.displayFn = function (option) {
        return option && option.name ? option.name : "";
    };
    AutocompleteComponent.prototype.selected = function (e) {
        this.onChange.emit(e);
    };
    __decorate([
        Output()
    ], AutocompleteComponent.prototype, "onChange", void 0);
    __decorate([
        Input()
    ], AutocompleteComponent.prototype, "autocompleteWithImage", void 0);
    __decorate([
        Input()
    ], AutocompleteComponent.prototype, "defaultImage", void 0);
    __decorate([
        Input()
    ], AutocompleteComponent.prototype, "placeholder", void 0);
    __decorate([
        Input()
    ], AutocompleteComponent.prototype, "options", void 0);
    AutocompleteComponent = __decorate([
        Component({
            selector: "nitrozen-autocomplete",
            template: "<div class=\"nitrozen-autocomplete-wrapper\">\r\n  <form class=\"form-div\">\r\n    <div [ngClass]=\"autocompleteWithImage ? 'nitro-input-box-wrap' : ''\">\r\n      <div class=\"prefix-icon\" *ngIf=\"autocompleteWithImage\">\r\n        <img\r\n          width=\"20\"\r\n          height=\"20\"\r\n          src=\"{{ myControl.value?.image || defaultImage }}\"\r\n        />\r\n      </div>\r\n      <input\r\n        type=\"text\"\r\n        placeholder=\"{{ placeholder }}\"\r\n        aria-label=\"Number\"\r\n        [formControl]=\"myControl\"\r\n        [matAutocomplete]=\"auto\"\r\n      />\r\n    </div>\r\n    <mat-autocomplete #auto=\"matAutocomplete\" [displayWith]=\"displayFn\">\r\n      <mat-option *ngIf=\"loading\" class=\"loader\">\r\n        <img src=\"../../../assets/icons/loader-v01.gif\"\r\n      /></mat-option>\r\n      <span *ngIf=\"!loading\">\r\n        <mat-option\r\n          *ngFor=\"let option of filteredOptions | async\"\r\n          [value]=\"option\"\r\n        >\r\n          <div\r\n            [ngClass]=\"autocompleteWithImage ? 'autocomplete-mat-option ' : ''\"\r\n          >\r\n            <img\r\n              *ngIf=\"autocompleteWithImage\"\r\n              width=\"20\"\r\n              height=\"20\"\r\n              class=\"image\"\r\n              src=\"{{ option['image'] }}\"\r\n            />\r\n            {{ option[\"name\"] }}\r\n          </div>\r\n        </mat-option>\r\n      </span>\r\n    </mat-autocomplete>\r\n  </form>\r\n</div>\r\n",
            styles: [".form-div{width:200px}.nitro-input-box-wrap{display:flex;position:relative}.nitro-input-box-wrap input{padding-left:42px;width:90%}.prefix-icon{position:absolute;left:16px;top:11px;text-align:center}.autocomplete-mat-option{display:flex!important;align-items:center!important}.image{margin-right:7px}"]
        })
    ], AutocompleteComponent);
    return AutocompleteComponent;
}());

var AutoCompleteModule = /** @class */ (function () {
    function AutoCompleteModule() {
    }
    AutoCompleteModule = __decorate([
        NgModule({
            declarations: [AutocompleteComponent],
            imports: [
                CommonModule,
                FormsModule,
                MatSelectModule,
                MatAutocompleteModule,
                ReactiveFormsModule,
            ],
            exports: [
                AutocompleteComponent,
                FormsModule,
                MatSelectModule,
                MatAutocompleteModule,
                ReactiveFormsModule,
            ],
        })
    ], AutoCompleteModule);
    return AutoCompleteModule;
}());

/**
 * Generated bundle index. Do not edit.
 */

export { AutoCompleteModule, ButtonModule, ButtonTextModule, CheckboxModule, DateRangePickerModule, FileUploadModule, InputModule, RadioButtonModule, SearchableSelectModule, SideMenuModule, SnackBarModule, TabsModule, VerticalTabsModule, ɵ0, ButtonComponent as ɵa, ButtonTextComponent as ɵb, CheckboxComponent as ɵc, RadioButtonComponent as ɵd, InputComponent as ɵe, InputSuffixComponent as ɵf, InputPrefixComponent as ɵg, SearchableSelectComponent as ɵh, SelectCheckAllComponent as ɵi, SnackBarComponent as ɵj, CustomSnackbarComponent as ɵk, VerticalTabsComponent as ɵl, TabsComponent as ɵm, FileUploadComponent as ɵn, DragDropDirective as ɵo, CropModalComponent as ɵp, ButtonRoundedModule as ɵq, ButtonRoundedComponent as ɵr, SideMenuComponent as ɵs, DateRangePickerComponent as ɵt, dateRangePickerAnimation as ɵu, AutocompleteComponent as ɵv };
//# sourceMappingURL=nitrozen.js.map
